<?php
class DESADVModel
{
    public function Export($data){
                
        $DESADV = $data['results'];
        $counter=0;
            foreach ($DESADV as $EachDESADV){
                $DESADVArray = Array();
                $file = fopen('Exports/Desadv/DESADV_'.$EachDESADV["DocumentNumber"].'_'.date('mdY_His').'.csv', 'w+');
                $counter+=1;

                $DESADV_entete_1 = Array
                (
                    'DESADV-AAA' => 'DESADV-AAA',
                    'V2' => 'V2',
                    '0' => '0',
                    'INDEX' => '',
                    'DATE' => date("dmY"),
                    '1' => '1',
                );

                $DESADV_entete_2 = Array
                (
                    'DESADV-HD1' => 'DESADV-HD1',
                    'V2' => 'V2',
                    'INDEX' => 0,
                    'DocumentNumber' => $EachDESADV["DocumentNumber"],
                    '380' => '380',
                    'DocumentDate' => $EachDESADV["DocumentDate"],
                    'DeliveryDate' => $EachDESADV["DeliveryDate"],
                    'DeliveryAddress_Address1' => $EachDESADV["DeliveryAddress_Address1"],
                    'DeliveryAddress_Address2' => $EachDESADV["DeliveryAddress_Address2"],
                    'DeliveryAddress_Address3' => $EachDESADV["DeliveryAddress_Address3"],
                    'DeliveryAddress_ZipCode' => $EachDESADV["DeliveryAddress_ZipCode"],
                    'DeliveryAddress_City' => $EachDESADV["DeliveryAddress_City"],
                    'Id' => $EachDESADV["Id"],
                    'AmountVatExcluded' => $EachDESADV["AmountVatExcluded"],
                    'AmountVatIncluded' => $EachDESADV["AmountVatIncluded"],
                    'NotesClear' => $EachDESADV["NotesClear"],
                    'Reference' => $EachDESADV["Reference"]
                    
                );

                $DESADV_entete_3 = Array
                (
                    'DESADV-HD2' => 'DESADV-HD2',
                    'CustomerName' => $EachDESADV["CustomerName"],
                    'DeliveryAddress_WebSite' => $EachDESADV["DeliveryAddress_WebSite"],
                    'InvoicingAddress_Address1' => $EachDESADV["InvoicingAddress_Address1"],
                    'InvoicingAddress_Address2' => $EachDESADV["InvoicingAddress_Address2"],
                    'InvoicingAddress_Address3' => $EachDESADV["InvoicingAddress_Address3"],
                    'InvoicingAddress_ZipCode' => $EachDESADV["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' => $EachDESADV["InvoicingAddress_City"]
                );
        
                //DESADV en-tete 4
                $DESADV_entete_4 = Array
                (
                    'DESADV-HD3' => 'DESADV-HD3',
                    'DeliveryContact_Name' => $EachDESADV["DeliveryContact_Name"],
                    'DeliveryContact_FirstName' => $EachDESADV["DeliveryContact_FirstName"],
                    'DeliveryContact_Phone' => $EachDESADV["DeliveryContact_Phone"],
                    'DeliveryContact_CellPhone' => $EachDESADV["DeliveryContact_CellPhone"],
                    'DeliveryContact_Fax' => $EachDESADV["DeliveryContact_Fax"],
                    'DeliveryContact_Email' => $EachDESADV["DeliveryContact_Email"]
                );
                // Ecriture des en-tete dans le CSV
                $DESADVArray[$counter] = array_merge($DESADV_entete_1);
                $DESADVArray[$counter+1] = array_merge($DESADV_entete_2);
                $DESADVArray[$counter+2] = array_merge($DESADV_entete_3);
                $DESADVArray[$counter+3] = array_merge($DESADV_entete_4);
                $nb_lignes=1;
        
                foreach($EachDESADV["Lines"] as $line)
                {
                    $line['DescriptionClear'] = str_replace("\n","",$line['DescriptionClear']);
                    $DESADV_lines = Array
                    (
                        'DESADV-LIN' => 'DESADV-LIN',
                        'INDEX' => $nb_lignes,
                        'BarCode' => '',
                        'EAN' => 'EAN',
                        'ItemId' => $line['ItemId'],
                        'DescriptionClear' => $line['DescriptionClear'],
                        'Id' => $line['Id'],
                        'NetAmountVatExcluded' => $line['NetAmountVatExcludedWithDiscount'],
                        'NetAmountVatIncluded' => $line['NetAmountVatIncludedWithDiscount'],
                        //'LineDESADV' => $line['LineDESADV'],
                        'Quantity' => $line['Quantity'],
                        'OrderedQuantity' => $line['OrderedQuantity'],
                        //'UnitId' => $line['']
                        'DeliveredQuantity' => $line['DeliveredQuantity'],
                        //'LineType' => $line[''],
                        'PurchasePrice' => $line['PurchasePrice'],
                        'CostPrice' => $line['CostPrice'],
                        'VatAmount' => $line['VatAmount'],
                    );
        
                    // Ecriture des lignes de DESADV
                    $DESADVArray[$counter+4] = array_merge($DESADV_lines);

                    $counter++;
                    $nb_lignes++;
                }
        
                // DESADV TVA details
                $DESADV_TAX = Array
                (
                    'DESADV-TAX' => 'DESADV-TAX',
                    'TaxValue' => '', //$EachDESADV["Id"]
                    'VatAmount' => $EachDESADV["VatAmount"],
                    'DetailVatAmount0_EcotaxAmountVatExcluded' => $EachDESADV["DetailVatAmount0_EcotaxAmountVatExcluded"],
                    'DetailVatAmount0_EcotaxVatAmount' => $EachDESADV["DetailVatAmount0_EcotaxVatAmount"],
                    'TVA_tx_0' => $EachDESADV["DetailVatAmount0_DetailVatRate"],
                    'TVA_base_ht_0' => $EachDESADV["DetailVatAmount0_DetailAmountVatExcluded"],
                    'TVA_montant_tva_0' => $EachDESADV["DetailVatAmount0_DetailVatAmount"],
                    'TVA_tx_1' => $EachDESADV["DetailVatAmount1_DetailVatRate"],
                    'TVA_base_ht_1' => $EachDESADV["DetailVatAmount1_DetailAmountVatExcluded"],
                    'TVA_montant_tva_1' => $EachDESADV["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_2' => $EachDESADV["DetailVatAmount2_DetailVatRate"],
                    'TVA_base_ht_2' => $EachDESADV["DetailVatAmount2_DetailAmountVatExcluded"],
                    'TVA_montant_tva_2' => $EachDESADV["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_3' => $EachDESADV["DetailVatAmount3_DetailVatRate"],
                    'TVA_base_ht_3' => $EachDESADV["DetailVatAmount3_DetailAmountVatExcluded"],
                    'TVA_montant_tva_3' => $EachDESADV["DetailVatAmount3_DetailVatAmount"],
                    'TVA_tx_4' => $EachDESADV["DetailVatAmount4_DetailVatRate"],
                    'TVA_base_ht_4' => $EachDESADV["DetailVatAmount4_DetailAmountVatExcluded"],
                    'TVA_montant_tva_4' => $EachDESADV["DetailVatAmount4_DetailVatAmount"],
                    'TVA_tx_5' => $EachDESADV["DetailVatAmount5_DetailVatRate"],
                    'TVA_base_ht_5' => $EachDESADV["DetailVatAmount5_DetailAmountVatExcluded"],
                    'TVA_montant_tva_5' =>$EachDESADV["DetailVatAmount5_DetailVatAmount"]
                );
        
                // DESADV END
                $DESADV_END = Array
                (
                    'DESADV-END' => 'DESADV-END',
                    'DocumentNumber' => $EachDESADV["DocumentNumber"],
                    'Amount_HT' => $EachDESADV["DetailVatAmount0_DetailAmountVatExcluded"],
                    'Amount_TTC' => $EachDESADV["DetailVatAmount0_DetailAmountVatIncluded"],
                    'CostPrice' =>$EachDESADV["CostPrice"],
                    'AmountVatExcludedWithDiscountAndShipping' => $EachDESADV["AmountVatExcludedWithDiscountAndShipping"],
                    'ShippingAmountVatExcluded' => $EachDESADV["ShippingAmountVatExcluded"],
                    'InvoicingAddress_Address1' => $EachDESADV["InvoicingAddress_Address1"],
                    'InvoicingAddress_ZipCode' => $EachDESADV["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' =>$EachDESADV["InvoicingAddress_City"]
                );
                $DESADVArray[$counter+4] = array_merge($DESADV_TAX);
                $DESADVArray[$counter+5] = array_merge($DESADV_END);
                foreach($DESADVArray as $DESADVgroup)
                {fputcsv($file, $DESADVgroup, ";");}
                fclose($file);
                print '[SUCCESS] Export DESADV : '.$EachDESADV["DocumentNumber"].'<br>';

            }
        }
    }
?>
