<?php
class InvoiceModel
{
    public function Export($data){
        
        $Invoices = $data['results'];
        $counter=0;
            foreach ($Invoices as $EachInvoice){
                $InvoiceArray = Array();
                $file = fopen($_ENV["EDICONNECT_EBP"].'/Exports/Invoices/Invoice_'.$EachInvoice["DocumentNumber"].'_'.date('mdY_His').'.csv', 'w+');
                $counter+=1;
                $Invoice_entete_1 = Array
                (
                    'DEMAT-AAA' => 'DEMAT-AAA',
                    'V2' => 'V2',
                    '0' => '0',
                    'INDEX' => '',
                    'DATE' => date("dmY"),
                    '1' => '1'
                );
                $Invoice_entete_2 = Array
                (
                    'DEMAT-HD1' => 'DEMAT-HD1',
                    'V2' => 'V2',
                    'INDEX' => 0,
                    'DocumentNumber' => $EachInvoice["DocumentNumber"],
                    '380' => '380',
                    'DocumentDate' => $EachInvoice["DocumentDate"],
                    'DeliveryDate' => $EachInvoice["DeliveryDate"],
                    'DeliveryAddress_Address1' => $EachInvoice["DeliveryAddress_Address1"],
                    'DeliveryAddress_Address2' => $EachInvoice["DeliveryAddress_Address2"],
                    'DeliveryAddress_Address3' => $EachInvoice["DeliveryAddress_Address3"],
                    'DeliveryAddress_ZipCode' => $EachInvoice["DeliveryAddress_ZipCode"],
                    'DeliveryAddress_City' => $EachInvoice["DeliveryAddress_City"],
                    'Id' => $EachInvoice["Id"],
                    'AmountVatExcluded' => $EachInvoice["AmountVatExcluded"],
                    'AmountVatIncluded' => $EachInvoice["AmountVatIncluded"],
                    'NotesClear' => $EachInvoice["NotesClear"],
                    'Reference' => $EachInvoice["Reference"]
                );
                $Invoice_entete_3 = Array
                (
                    'DEMAT-HD2' => 'DEMAT-HD2',
                    'CustomerName' => $EachInvoice["CustomerName"],
                    'DeliveryAddress_WebSite' => $EachInvoice["DeliveryAddress_WebSite"],
                    'InvoicingAddress_Address1' => $EachInvoice["InvoicingAddress_Address1"],
                    'InvoicingAddress_Address2' => $EachInvoice["InvoicingAddress_Address2"],
                    'InvoicingAddress_Address3' => $EachInvoice["InvoicingAddress_Address3"],
                    'InvoicingAddress_ZipCode' => $EachInvoice["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' => $EachInvoice["InvoicingAddress_City"]
                );
                $Invoice_entete_4 = Array
                (
                    'DEMAT-HD3' => 'DEMAT-HD3',
                    'DeliveryContact_Name' => $EachInvoice["DeliveryContact_Name"],
                    'DeliveryContact_FirstName' => $EachInvoice["DeliveryContact_FirstName"],
                    'DeliveryContact_Phone' => $EachInvoice["DeliveryContact_Phone"],
                    'DeliveryContact_CellPhone' => $EachInvoice["DeliveryContact_CellPhone"],
                    'DeliveryContact_Fax' => $EachInvoice["DeliveryContact_Fax"],
                    'DeliveryContact_Email' => $EachInvoice["DeliveryContact_Email"]
                );
                $InvoiceArray[$counter] = array_merge($Invoice_entete_1);
                $InvoiceArray[$counter+1] = array_merge($Invoice_entete_2);
                $InvoiceArray[$counter+2] = array_merge($Invoice_entete_3);
                $InvoiceArray[$counter+3] = array_merge($Invoice_entete_4);
                $nb_lignes=1;
                foreach ($EachInvoice["Lines"] as $line){
                    $Invoice_lines = Array
                    (
                        'DEMAT-LIN' => 'DEMAT-LIN',
                        'INDEX' => $nb_lignes,
                        'BarCode' => '',
                        'EAN' => 'EAN',
                        'ItemId' => $line['ItemId'],
                        'DescriptionClear' => $line['DescriptionClear'],
                        'Id' => $line['Id'],
                        'NetAmountVatExcluded' => $line['NetAmountVatExcludedWithDiscount'],
                        'NetAmountVatIncluded' => $line['NetAmountVatIncludedWithDiscount'],
                        'LineOrder' => $line['LineOrder'],
                        'Quantity' => $line['Quantity'],
                        'OrderedQuantity' => $line['OrderedQuantity'],
                        //'UnitId' => $line['']
                        'DeliveredQuantity' => $line['DeliveredQuantity'],
                        //'LineType' => $line[''],
                        'PurchasePrice' => $line['PurchasePrice'],
                        'CostPrice' => $line['CostPrice'],
                        'VatAmount' => $line['VatAmount'],
                        'TotalShippingAmountVatExcluded' => $EachInvoice["ShippingAmountVatExcluded"]
                        //'InterestAmount' => $line['']
                        //'InterestRate' => $line['']
                        //'NetInterestBase' => $line['']
                        //'EcotaxAmountVatExcluded' => $line['']
                        //'NumLot' => $line['']
                        //'UnitEcotaxAmountVatIncluded' => ''
                    );
                    $InvoiceArray[$counter+4] = array_merge($Invoice_lines);
                    $counter++;
                    $nb_lignes++;
                }
                $Invoice_TAX = Array
                (
                    'DEMAT-TAX' => 'DEMAT-TAX',
                    'TaxValue' => '',//$EachInvoice["DeliveryContact_Fax"],
                    'VatAmount' => $EachInvoice["VatAmount"],
                    'DetailVatAmount0_EcotaxAmountVatExcluded' => $EachInvoice["DetailVatAmount0_EcotaxAmountVatExcluded"],
                    'DetailVatAmount0_EcotaxVatAmount' => $EachInvoice["DetailVatAmount0_EcotaxVatAmount"],
                    'TVA_tx_0' => $EachInvoice["DetailVatAmount0_DetailVatRate"],
                    'TVA_base_ht_0' => $EachInvoice["DetailVatAmount0_DetailAmountVatExcluded"],
                    'TVA_montant_tva_0' => $EachInvoice["DetailVatAmount0_DetailVatAmount"],
                    'TVA_tx_1' => $EachInvoice["DetailVatAmount1_DetailVatRate"],
                    'TVA_base_ht_1' => $EachInvoice["DetailVatAmount1_DetailAmountVatExcluded"],
                    'TVA_montant_tva_1' => $EachInvoice["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_2' => $EachInvoice["DetailVatAmount2_DetailVatRate"],
                    'TVA_base_ht_2' => $EachInvoice["DetailVatAmount2_DetailAmountVatExcluded"],
                    'TVA_montant_tva_2' => $EachInvoice["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_3' => $EachInvoice["DetailVatAmount3_DetailVatRate"],
                    'TVA_base_ht_3' => $EachInvoice["DetailVatAmount3_DetailAmountVatExcluded"],
                    'TVA_montant_tva_3' => $EachInvoice["DetailVatAmount3_DetailVatAmount"],
                    'TVA_tx_4' => $EachInvoice["DetailVatAmount4_DetailVatRate"],
                    'TVA_base_ht_4' => $EachInvoice["DetailVatAmount4_DetailAmountVatExcluded"],
                    'TVA_montant_tva_4' => $EachInvoice["DetailVatAmount4_DetailVatAmount"],
                    'TVA_tx_5' => $EachInvoice["DetailVatAmount5_DetailVatRate"],
                    'TVA_base_ht_5' => $EachInvoice["DetailVatAmount5_DetailAmountVatExcluded"],
                    'TVA_montant_tva_5' => $EachInvoice["DetailVatAmount5_DetailVatAmount"]
                );
                $Invoice_END = Array
                (
                    'DEMAT-END' => 'DEMAT-END',
                    //'nb_lignes_produits' => $data['results']['total'],
                    'DocumentNumber' => $EachInvoice["DocumentNumber"],
                    'Amount_HT' => $EachInvoice["DetailVatAmount0_DetailAmountVatExcluded"],
                    'Amount_TTC' => $EachInvoice["DetailVatAmount0_DetailAmountVatIncluded"],
                    'CostPrice' =>$EachInvoice["CostPrice"],
                    'AmountVatExcludedWithDiscountAndShipping' => $EachInvoice["AmountVatExcludedWithDiscountAndShipping"],
                    'ShippingAmountVatExcluded' => $EachInvoice["ShippingAmountVatExcluded"],
                    'InvoicingAddress_Address1' => $EachInvoice["InvoicingAddress_Address1"],
                    'InvoicingAddress_ZipCode' => $EachInvoice["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' =>$EachInvoice["InvoicingAddress_City"]
                );
                $InvoiceArray[$counter+4] = array_merge($Invoice_TAX);
                $InvoiceArray[$counter+5] = array_merge($Invoice_END);
                foreach($InvoiceArray as $invoicegroup)
                {fputcsv($file, $invoicegroup, ";");}
                fclose($file);
                print '[SUCCESS] Export Invoice : '.$EachInvoice["DocumentNumber"].'<br>';

            }
    }

    public function exportAll($Invoices){
        
        $counter=0;
            foreach ($Invoices as $EachInvoice){
                $InvoiceArray = Array();
                $file = fopen($_ENV["EDICONNECT_EBP"].'Imports/Invoices/Invoice_'.$EachInvoice["DocumentNumber"].'.csv', 'w+');
                $counter+=1;
                $Invoice_entete_1 = Array
                (
                    'DEMAT-AAA' => 'DEMAT-AAA',
                    'V2' => 'V2',
                    '0' => '0',
                    'INDEX' => '',
                    'DATE' => date("dmY"),
                    '1' => '1'
                );
                $Invoice_entete_2 = Array
                (
                    'DEMAT-HD1' => 'DEMAT-HD1',
                    'V2' => 'V2',
                    'INDEX' => 0,
                    'DocumentNumber' => $EachInvoice["DocumentNumber"],
                    '380' => '380',
                    'DocumentDate' => $EachInvoice["DocumentDate"],
                    'DeliveryDate' => $EachInvoice["DeliveryDate"],
                    'DeliveryAddress_Address1' => $EachInvoice["DeliveryAddress_Address1"],
                    'DeliveryAddress_Address2' => $EachInvoice["DeliveryAddress_Address2"],
                    'DeliveryAddress_Address3' => $EachInvoice["DeliveryAddress_Address3"],
                    'DeliveryAddress_ZipCode' => $EachInvoice["DeliveryAddress_ZipCode"],
                    'DeliveryAddress_City' => $EachInvoice["DeliveryAddress_City"],
                    'Id' => $EachInvoice["Id"],
                    'AmountVatExcluded' => $EachInvoice["AmountVatExcluded"],
                    'AmountVatIncluded' => $EachInvoice["AmountVatIncluded"],
                    'NotesClear' => $EachInvoice["NotesClear"],
                    'Reference' => $EachInvoice["Reference"]
                );
                $Invoice_entete_3 = Array
                (
                    'DEMAT-HD2' => 'DEMAT-HD2',
                    'CustomerName' => $EachInvoice["CustomerName"],
                    'DeliveryAddress_WebSite' => $EachInvoice["DeliveryAddress_WebSite"],
                    'InvoicingAddress_Address1' => $EachInvoice["InvoicingAddress_Address1"],
                    'InvoicingAddress_Address2' => $EachInvoice["InvoicingAddress_Address2"],
                    'InvoicingAddress_Address3' => $EachInvoice["InvoicingAddress_Address3"],
                    'InvoicingAddress_ZipCode' => $EachInvoice["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' => $EachInvoice["InvoicingAddress_City"]
                );
                $Invoice_entete_4 = Array
                (
                    'DEMAT-HD3' => 'DEMAT-HD3',
                    'DeliveryContact_Name' => $EachInvoice["DeliveryContact_Name"],
                    'DeliveryContact_FirstName' => $EachInvoice["DeliveryContact_FirstName"],
                    'DeliveryContact_Phone' => $EachInvoice["DeliveryContact_Phone"],
                    'DeliveryContact_CellPhone' => $EachInvoice["DeliveryContact_CellPhone"],
                    'DeliveryContact_Fax' => $EachInvoice["DeliveryContact_Fax"],
                    'DeliveryContact_Email' => $EachInvoice["DeliveryContact_Email"]
                );
                $InvoiceArray[$counter] = array_merge($Invoice_entete_1);
                $InvoiceArray[$counter+1] = array_merge($Invoice_entete_2);
                $InvoiceArray[$counter+2] = array_merge($Invoice_entete_3);
                $InvoiceArray[$counter+3] = array_merge($Invoice_entete_4);
                $nb_lignes=1;
                foreach ($EachInvoice["Lines"] as $line){
                    $Invoice_lines = Array
                    (
                        'DEMAT-LIN' => 'DEMAT-LIN',
                        'INDEX' => $nb_lignes,
                        'BarCode' => '',
                        'EAN' => 'EAN',
                        'ItemId' => $line['ItemId'],
                        'DescriptionClear' => $line['DescriptionClear'],
                        'Id' => $line['Id'],
                        'NetAmountVatExcluded' => $line['NetAmountVatExcludedWithDiscount'],
                        'NetAmountVatIncluded' => $line['NetAmountVatIncludedWithDiscount'],
                        'LineOrder' => $line['LineOrder'],
                        'Quantity' => $line['Quantity'],
                        'OrderedQuantity' => $line['OrderedQuantity'],
                        //'UnitId' => $line['']
                        'DeliveredQuantity' => $line['DeliveredQuantity'],
                        //'LineType' => $line[''],
                        'PurchasePrice' => $line['PurchasePrice'],
                        'CostPrice' => $line['CostPrice'],
                        'VatAmount' => $line['VatAmount'],
                        'TotalShippingAmountVatExcluded' => $EachInvoice["ShippingAmountVatExcluded"],
                        //'InterestAmount' => $line['']
                        //'InterestRate' => $line['']
                        //'NetInterestBase' => $line['']
                        //'EcotaxAmountVatExcluded' => $line['']
                        //'NumLot' => $line['']
                        //'UnitEcotaxAmountVatIncluded' => ''
                    );
                    $InvoiceArray[$counter+4] = array_merge($Invoice_lines);
                    $counter++;
                    $nb_lignes++;
                }
                $Invoice_TAX = Array
                (
                    'DEMAT-TAX' => 'DEMAT-TAX',
                    'TaxValue' => '',//$EachInvoice["DeliveryContact_Fax"],
                    'VatAmount' => $EachInvoice["VatAmount"],
                    'DetailVatAmount0_EcotaxAmountVatExcluded' => $EachInvoice["DetailVatAmount0_EcotaxAmountVatExcluded"],
                    'DetailVatAmount0_EcotaxVatAmount' => $EachInvoice["DetailVatAmount0_EcotaxVatAmount"],
                    'TVA_tx_0' => $EachInvoice["DetailVatAmount0_DetailVatRate"],
                    'TVA_base_ht_0' => $EachInvoice["DetailVatAmount0_DetailAmountVatExcluded"],
                    'TVA_montant_tva_0' => $EachInvoice["DetailVatAmount0_DetailVatAmount"],
                    'TVA_tx_1' => $EachInvoice["DetailVatAmount1_DetailVatRate"],
                    'TVA_base_ht_1' => $EachInvoice["DetailVatAmount1_DetailAmountVatExcluded"],
                    'TVA_montant_tva_1' => $EachInvoice["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_2' => $EachInvoice["DetailVatAmount2_DetailVatRate"],
                    'TVA_base_ht_2' => $EachInvoice["DetailVatAmount2_DetailAmountVatExcluded"],
                    'TVA_montant_tva_2' => $EachInvoice["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_3' => $EachInvoice["DetailVatAmount3_DetailVatRate"],
                    'TVA_base_ht_3' => $EachInvoice["DetailVatAmount3_DetailAmountVatExcluded"],
                    'TVA_montant_tva_3' => $EachInvoice["DetailVatAmount3_DetailVatAmount"],
                    'TVA_tx_4' => $EachInvoice["DetailVatAmount4_DetailVatRate"],
                    'TVA_base_ht_4' => $EachInvoice["DetailVatAmount4_DetailAmountVatExcluded"],
                    'TVA_montant_tva_4' => $EachInvoice["DetailVatAmount4_DetailVatAmount"],
                    'TVA_tx_5' => $EachInvoice["DetailVatAmount5_DetailVatRate"],
                    'TVA_base_ht_5' => $EachInvoice["DetailVatAmount5_DetailAmountVatExcluded"],
                    'TVA_montant_tva_5' => $EachInvoice["DetailVatAmount5_DetailVatAmount"]
                );
                $Invoice_END = Array
                (
                    'DEMAT-END' => 'DEMAT-END',
                    //'nb_lignes_produits' => $data['results']['total'],
                    'DocumentNumber' => $EachInvoice["DocumentNumber"],
                    'Amount_HT' => $EachInvoice["DetailVatAmount0_DetailAmountVatExcluded"],
                    'Amount_TTC' => $EachInvoice["DetailVatAmount0_DetailAmountVatIncluded"],
                    'CostPrice' =>$EachInvoice["CostPrice"],
                    'AmountVatExcludedWithDiscountAndShipping' => $EachInvoice["AmountVatExcludedWithDiscountAndShipping"],
                    'ShippingAmountVatExcluded' => $EachInvoice["ShippingAmountVatExcluded"],
                    'InvoicingAddress_Address1' => $EachInvoice["InvoicingAddress_Address1"],
                    'InvoicingAddress_ZipCode' => $EachInvoice["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' =>$EachInvoice["InvoicingAddress_City"]
                );
                $InvoiceArray[$counter+4] = array_merge($Invoice_TAX);
                $InvoiceArray[$counter+5] = array_merge($Invoice_END);
                foreach($InvoiceArray as $invoicegroup)
                {fputcsv($file, $invoicegroup, ";");}
                fclose($file);
                print '[SUCCESS] Export Invoice : '.$EachInvoice["DocumentNumber"].'<br>';

            }
    }

    public function exportAllCreditNotes($Invoices){
        
        $counter=0;
            foreach ($Invoices as $EachInvoice){
                $InvoiceArray = Array();
                $file = fopen($_ENV["EDICONNECT_EBP"].'Imports/Avoirs/Avoir_'.$EachInvoice["DocumentNumber"].'_'.date('mdY_His').'.csv', 'w+');
                $counter+=1;
                $Invoice_entete_1 = Array
                (
                    'DEMAT-AAA' => 'DEMAT-AAA',
                    'V2' => 'V2',
                    '0' => '0',
                    'INDEX' => '',
                    'DATE' => date("dmY"),
                    '1' => '1'
                );
                $Invoice_entete_2 = Array
                (
                    'DEMAT-HD1' => 'DEMAT-HD1',
                    'V2' => 'V2',
                    'INDEX' => 0,
                    'DocumentNumber' => $EachInvoice["DocumentNumber"],
                    '380' => '380',
                    'DocumentDate' => $EachInvoice["DocumentDate"],
                    'DeliveryDate' => $EachInvoice["DeliveryDate"],
                    'DeliveryAddress_Address1' => $EachInvoice["DeliveryAddress_Address1"],
                    'DeliveryAddress_Address2' => $EachInvoice["DeliveryAddress_Address2"],
                    'DeliveryAddress_Address3' => $EachInvoice["DeliveryAddress_Address3"],
                    'DeliveryAddress_ZipCode' => $EachInvoice["DeliveryAddress_ZipCode"],
                    'DeliveryAddress_City' => $EachInvoice["DeliveryAddress_City"],
                    'Id' => $EachInvoice["Id"],
                    'AmountVatExcluded' => $EachInvoice["AmountVatExcluded"],
                    'AmountVatIncluded' => $EachInvoice["AmountVatIncluded"],
                    'NotesClear' => $EachInvoice["NotesClear"],
                    'Reference' => $EachInvoice["Reference"]
                );
                $Invoice_entete_3 = Array
                (
                    'DEMAT-HD2' => 'DEMAT-HD2',
                    'CustomerName' => $EachInvoice["CustomerName"],
                    'DeliveryAddress_WebSite' => $EachInvoice["DeliveryAddress_WebSite"],
                    'InvoicingAddress_Address1' => $EachInvoice["InvoicingAddress_Address1"],
                    'InvoicingAddress_Address2' => $EachInvoice["InvoicingAddress_Address2"],
                    'InvoicingAddress_Address3' => $EachInvoice["InvoicingAddress_Address3"],
                    'InvoicingAddress_ZipCode' => $EachInvoice["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' => $EachInvoice["InvoicingAddress_City"]
                );
                $Invoice_entete_4 = Array
                (
                    'DEMAT-HD3' => 'DEMAT-HD3',
                    'DeliveryContact_Name' => $EachInvoice["DeliveryContact_Name"],
                    'DeliveryContact_FirstName' => $EachInvoice["DeliveryContact_FirstName"],
                    'DeliveryContact_Phone' => $EachInvoice["DeliveryContact_Phone"],
                    'DeliveryContact_CellPhone' => $EachInvoice["DeliveryContact_CellPhone"],
                    'DeliveryContact_Fax' => $EachInvoice["DeliveryContact_Fax"],
                    'DeliveryContact_Email' => $EachInvoice["DeliveryContact_Email"]
                );
                $InvoiceArray[$counter] = array_merge($Invoice_entete_1);
                $InvoiceArray[$counter+1] = array_merge($Invoice_entete_2);
                $InvoiceArray[$counter+2] = array_merge($Invoice_entete_3);
                $InvoiceArray[$counter+3] = array_merge($Invoice_entete_4);
                $nb_lignes=1;
                foreach ($EachInvoice["Lines"] as $line){
                    $Invoice_lines = Array
                    (
                        'DEMAT-LIN' => 'DEMAT-LIN',
                        'INDEX' => $nb_lignes,
                        'BarCode' => '',
                        'EAN' => 'EAN',
                        'ItemId' => $line['ItemId'],
                        'DescriptionClear' => $line['DescriptionClear'],
                        'Id' => $line['Id'],
                        'NetAmountVatExcluded' => $line['NetAmountVatExcludedWithDiscount'],
                        'NetAmountVatIncluded' => $line['NetAmountVatIncludedWithDiscount'],
                        'LineOrder' => $line['LineOrder'],
                        'Quantity' => $line['Quantity'],
                        'OrderedQuantity' => $line['OrderedQuantity'],
                        //'UnitId' => $line['']
                        'DeliveredQuantity' => $line['DeliveredQuantity'],
                        //'LineType' => $line[''],
                        'PurchasePrice' => $line['PurchasePrice'],
                        'CostPrice' => $line['CostPrice'],
                        'VatAmount' => $line['VatAmount'],
                        'TotalShippingAmountVatExcluded' => $EachInvoice["ShippingAmountVatExcluded"],
                        //'InterestAmount' => $line['']
                        //'InterestRate' => $line['']
                        //'NetInterestBase' => $line['']
                        //'EcotaxAmountVatExcluded' => $line['']
                        //'NumLot' => $line['']
                        //'UnitEcotaxAmountVatIncluded' => ''
                    );
                    $InvoiceArray[$counter+4] = array_merge($Invoice_lines);
                    $counter++;
                    $nb_lignes++;
                }
                $Invoice_TAX = Array
                (
                    'DEMAT-TAX' => 'DEMAT-TAX',
                    'TaxValue' => '',//$EachInvoice["DeliveryContact_Fax"],
                    'VatAmount' => $EachInvoice["VatAmount"],
                    'DetailVatAmount0_EcotaxAmountVatExcluded' => $EachInvoice["DetailVatAmount0_EcotaxAmountVatExcluded"],
                    'DetailVatAmount0_EcotaxVatAmount' => $EachInvoice["DetailVatAmount0_EcotaxVatAmount"],
                    'TVA_tx_0' => $EachInvoice["DetailVatAmount0_DetailVatRate"],
                    'TVA_base_ht_0' => $EachInvoice["DetailVatAmount0_DetailAmountVatExcluded"],
                    'TVA_montant_tva_0' => $EachInvoice["DetailVatAmount0_DetailVatAmount"],
                    'TVA_tx_1' => $EachInvoice["DetailVatAmount1_DetailVatRate"],
                    'TVA_base_ht_1' => $EachInvoice["DetailVatAmount1_DetailAmountVatExcluded"],
                    'TVA_montant_tva_1' => $EachInvoice["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_2' => $EachInvoice["DetailVatAmount2_DetailVatRate"],
                    'TVA_base_ht_2' => $EachInvoice["DetailVatAmount2_DetailAmountVatExcluded"],
                    'TVA_montant_tva_2' => $EachInvoice["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_3' => $EachInvoice["DetailVatAmount3_DetailVatRate"],
                    'TVA_base_ht_3' => $EachInvoice["DetailVatAmount3_DetailAmountVatExcluded"],
                    'TVA_montant_tva_3' => $EachInvoice["DetailVatAmount3_DetailVatAmount"],
                    'TVA_tx_4' => $EachInvoice["DetailVatAmount4_DetailVatRate"],
                    'TVA_base_ht_4' => $EachInvoice["DetailVatAmount4_DetailAmountVatExcluded"],
                    'TVA_montant_tva_4' => $EachInvoice["DetailVatAmount4_DetailVatAmount"],
                    'TVA_tx_5' => $EachInvoice["DetailVatAmount5_DetailVatRate"],
                    'TVA_base_ht_5' => $EachInvoice["DetailVatAmount5_DetailAmountVatExcluded"],
                    'TVA_montant_tva_5' => $EachInvoice["DetailVatAmount5_DetailVatAmount"]
                );
                $Invoice_END = Array
                (
                    'DEMAT-END' => 'DEMAT-END',
                    //'nb_lignes_produits' => $data['results']['total'],
                    'DocumentNumber' => $EachInvoice["DocumentNumber"],
                    'Amount_HT' => $EachInvoice["DetailVatAmount0_DetailAmountVatExcluded"],
                    'Amount_TTC' => $EachInvoice["DetailVatAmount0_DetailAmountVatIncluded"],
                    'CostPrice' =>$EachInvoice["CostPrice"],
                    'AmountVatExcludedWithDiscountAndShipping' => $EachInvoice["AmountVatExcludedWithDiscountAndShipping"],
                    'ShippingAmountVatExcluded' => $EachInvoice["ShippingAmountVatExcluded"],
                    'InvoicingAddress_Address1' => $EachInvoice["InvoicingAddress_Address1"],
                    'InvoicingAddress_ZipCode' => $EachInvoice["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' =>$EachInvoice["InvoicingAddress_City"]
                );
                $InvoiceArray[$counter+4] = array_merge($Invoice_TAX);
                $InvoiceArray[$counter+5] = array_merge($Invoice_END);
                foreach($InvoiceArray as $invoicegroup)
                {fputcsv($file, $invoicegroup, ";");}
                fclose($file);
                print '[SUCCESS] Export Credit Note : '.$EachInvoice["DocumentNumber"].'<br>';

            }
    }
}
?>
