<?php

include_once($_ENV["EDICONNECT_EBP"]."Configurations/api.php");
include_once($_ENV["EDICONNECT_EBP"]."Configurations/api_sellsy.php");
include_once($_ENV["EDICONNECT_EBP"]."Class/queries.class.php");

class InvoicesController
{
    public function __construct(){
        $this->APIAuth = new APIAuth();
        $this->SellsyAPIAuth = new SellsyAPIAuth();

        $this->access_token = $this->APIAuth->access_token;
        $this->refresh_token =  $this->APIAuth->refresh_token;

        $this->ebp_subscription_key = $this->APIAuth->ebp_subscription_key;
        $this->sellsy_access_token = $this->SellsyAPIAuth->access_token;
    }

    public function Export(){
        print '------------------<br>Export Invoices :<br>';
        
        
        $APIAuth = new APIAuth();
        $curl = curl_init($APIAuth->GetApiPathInvoicesExport());
        curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "GET");
        curl_setopt($curl, CURLOPT_URL, $APIAuth->GetApiPathInvoicesExport());
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_HTTPHEADER, $APIAuth->GetAuthHeader());
        $resp = curl_exec($curl);
        $http_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);

        if($http_code == "200"){ 

            include_once($_ENV["EDICONNECT_EBP"]."Models/InvoicesModel.php");
            $InvoiceModel = new InvoiceModel();
            $result = json_decode($resp,true);
            $InvoiceModel->Export($result);
        }else{ 
            echo "Error : ".$http_code." <br> Please check you access TOKEN KEY's to the API.";
        }
        curl_close($curl);
    } 

    public function exportAll(){
        print '------------------<br>Export All Invoices :<br>';

        include_once($_ENV["EDICONNECT_EBP"]."Models/InvoicesModel.php");
        include_once($_ENV["EDICONNECT_EBP"]."Functions/Logs.php");

        $logs = new Logs();
        $InvoiceModel = new InvoiceModel();
        
        $offset = 8500;
        $invoices = [];
        
        // $url = $this->APIAuth->getApiPathAllInvoicesExport($offset);
        // $curl = curl_init();

        
        // curl_setopt_array($curl, array(
        //     CURLOPT_URL => $url,
        //     CURLOPT_RETURNTRANSFER => true,
        //     CURLOPT_ENCODING => "",
        //     CURLOPT_MAXREDIRS => 10,
        //     CURLOPT_TIMEOUT => 0,
        //     CURLOPT_FOLLOWLOCATION => true,
        //     CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        //     CURLOPT_CUSTOMREQUEST => "GET",
        //     CURLOPT_HTTPHEADER => array(
        //         "ebp-subscription-key: $this->ebp_subscription_key",
        //         "Authorization: Bearer $this->access_token"
        //     ),
        // ));

        // $resp = json_decode(curl_exec($curl),true);
        // $http_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
        // curl_close($curl);

        // if ($http_code == "200") {
        //     $invoices = array_merge($invoices, $resp["results"]);
        // }else{ 
        //     echo "Error : ".$http_code." <br> Please check your access TOKEN KEY's to the API.";

        //     $target_path = $_ENV["EDICONNECT_EBP"]."Logs/Products/Deletes/Errors/ERROR_PRODUCT_$date.txt";
        //     $file = fopen($error_path, "a");
        //     $logs->addLog($file, "SUPPRESSION PRODUIT", "Erreur avec la requete cURL lors de l'export de produits (Erreur $http_code)", "ERROR");
        // }       



        // 25/05/2023
        // $index = 1;

        // try {
        //     for($i = 0;$i<42;$i++) {
        //         $url = $this->APIAuth->getApiPathAllInvoicesExport($offset);
        //         $curl = curl_init();
    
        //         curl_setopt_array($curl, array(
        //             CURLOPT_URL => $url,
        //             CURLOPT_RETURNTRANSFER => true,
        //             CURLOPT_ENCODING => "",
        //             CURLOPT_MAXREDIRS => 10,
        //             CURLOPT_TIMEOUT => 0,
        //             CURLOPT_FOLLOWLOCATION => true,
        //             CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        //             CURLOPT_CUSTOMREQUEST => "GET",
        //             CURLOPT_HTTPHEADER => array(
        //                 "ebp-subscription-key: $this->ebp_subscription_key",
        //                 "Authorization: Bearer $this->access_token"
        //             ),
        //         ));
        
        //         $resp = json_decode(curl_exec($curl),true);
        //         $http_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
        //         $info = curl_getinfo($curl);
        //         curl_close($curl);
    
        //         if ($http_code == "200") {
        //             // $invoices = array_merge($invoices, $resp["results"]);
        //             $invoices = $resp["results"];
    
        //             $index += count($invoices);
    
    
        //             if(count($invoices) > 0){ 
        //                 $InvoiceModel->exportAll($invoices);
        //             }else{ 
        //                 echo "<br>No invoices to export<br>";
        //             }
        //         }else{ 
        //             echo "Error : ".$http_code." <br> Please check your access TOKEN KEY's to the API.";
        
        //             $target_path = $_ENV["EDICONNECT_EBP"]."Logs/Invoices/Exports/Errors/ERROR_INVOICES_$date.txt";
        //             $file = fopen($error_path, "a");
        //             $logs->addLog($file, "EXPORT FACTURE", "Erreur avec la requete cURL lors de l'export de factures (Erreur $http_code) \n" . json_encode($info), "ERROR");
        //         }
    
        //         $offset += 500;
        //     } //while ($resp["paging"]["total"] > 0);
    
        //     echo "INDEX : ".$index;
        // } catch (\Throwable $th) {
        //     //throw $th;

        //     echo '<pre>';
        //     var_dump($th);
        //     echo '</pre>';
        //     echo "INDEX : ".$index;

        // }

        $errors = 0;
        $index = 1;

        $is_export_done = false;
        try {
            // do {
                # code...
            
                $url = $this->APIAuth->getApiPathAllInvoicesExport($offset);
                $curl = curl_init();
    
                curl_setopt_array($curl, array(
                    CURLOPT_URL => $url,
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 0,
                    CURLOPT_FOLLOWLOCATION => true,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "GET",
                    CURLOPT_HTTPHEADER => array(
                        "ebp-subscription-key: $this->ebp_subscription_key",
                        "Authorization: Bearer $this->access_token"
                    ),
                ));
        
                $resp = json_decode(curl_exec($curl),true);
                $http_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
                $info = curl_getinfo($curl);
                curl_close($curl);
    
                if ($http_code == "200") {
                    // $invoices = array_merge($invoices, $resp["results"]);
                    $invoices = $resp["results"];
    
                    $index += count($invoices);
    
    
                    if(count($invoices) > 0){ 
                        $InvoiceModel->exportAll($invoices);
                    }else{ 
                        echo "<br>No invoices to export<br>";
                    }
                    $offset += 100;

                    // if ($resp["paging"]["total"] == 0) {
                    //     $is_export_done = true;
                    // }
                }else{ 
                    $errors++;
                    $tokens = $this->APIAuth->getAccessTokenFromRefreshToken($this->refresh_token);
                    $this->access_token = $tokens["access_token"];
                    $this->refresh_token = $tokens["refresh_token"];

                    echo '<pre>';
                    var_dump($resp);
                    echo '</pre>';
                    
                    echo "Error : ".$http_code." <br> Please check your access TOKEN KEY's to the API.";
        
                    $target_path = $_ENV["EDICONNECT_EBP"]."Logs/Invoices/Exports/Errors/ERROR_INVOICES_$date.txt";
                    $file = fopen($target_path, "a");
                    $logs->addLog($file, "EXPORT FACTURE", "Erreur avec la requete cURL lors de l'export de factures (Erreur $http_code) \n" . json_encode($info), "ERROR");
                }
    
            // } while ($is_export_done == false);
    
            echo "INDEX : ".$index;
        } catch (\Throwable $th) {
            //throw $th;
            // $target_path = $_ENV["EDICONNECT_EBP"]."Logs/Invoices/Exports/Errors/ERROR_INVOICES_$date.txt";
            // $file = fopen($target_path, "a");
            // $logs->addLog($file, "EXPORT FACTURE", $th->getMessage(), "ERROR");

            echo '<pre>';
            var_dump($th);
            echo '</pre>';
            echo "INDEX : ".$index;

        }
    } 

    public function exportAllCreditNotes(){
        print '------------------<br>Export All Credit Notes :<br>';
        include_once($_ENV["EDICONNECT_EBP"]."Models/InvoicesModel.php");
        include_once($_ENV["EDICONNECT_EBP"]."Functions/Logs.php");

        $logs = new Logs();

        $offset = 0;
        $creditNotes = [];

        // $url = $this->APIAuth->getApiPathAllCreditNotesExport($offset);
        // $curl = curl_init();

        
        // curl_setopt_array($curl, array(
        //     CURLOPT_URL => $url,
        //     CURLOPT_RETURNTRANSFER => true,
        //     CURLOPT_ENCODING => "",
        //     CURLOPT_MAXREDIRS => 10,
        //     CURLOPT_TIMEOUT => 0,
        //     CURLOPT_FOLLOWLOCATION => true,
        //     CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        //     CURLOPT_CUSTOMREQUEST => "GET",
        //     CURLOPT_HTTPHEADER => array(
        //         "ebp-subscription-key: $this->ebp_subscription_key",
        //         "Authorization: Bearer $this->access_token"
        //     ),
        // ));

        // $resp = json_decode(curl_exec($curl),true);
        // $http_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
        // curl_close($curl);

        // if ($http_code == "200") {
        //     $creditNotes = array_merge($creditNotes, $resp["results"]);
        // }else{ 
        //     echo "Error : ".$http_code." <br> Please check your access TOKEN KEY's to the API.";

        //     $target_path = $_ENV["EDICONNECT_EBP"]."Logs/Products/Deletes/Errors/ERROR_PRODUCT_$date.txt";
        //     $file = fopen($error_path, "a");
        //     $logs->addLog($file, "SUPPRESSION PRODUIT", "Erreur avec la requete cURL lors de l'export de produits (Erreur $http_code)", "ERROR");
        // }       

        // do {
            $url = $this->APIAuth->getApiPathAllCreditNotesExport($offset);
            $curl = curl_init();

            
            curl_setopt_array($curl, array(
                CURLOPT_URL => $url,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 0,
                CURLOPT_FOLLOWLOCATION => true,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "GET",
                CURLOPT_HTTPHEADER => array(
                    "ebp-subscription-key: $this->ebp_subscription_key",
                    "Authorization: Bearer $this->access_token"
                ),
            ));
    
            $resp = json_decode(curl_exec($curl),true);
            $http_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
            curl_close($curl);

            if ($http_code == "200") {
                $creditNotes = $resp["results"];

                if(count($creditNotes) > 0){ 

                    $InvoiceModel = new InvoiceModel();
        
                    $InvoiceModel->exportAllCreditNotes($creditNotes);
                }else{ 
                    echo "<br>No credit note to export<br>";
                }
                $offset += 5;

            }else{ 
                $tokens = $this->APIAuth->getAccessTokenFromRefreshToken($this->refresh_token);
                $this->access_token = $tokens["access_token"];
                $this->refresh_token = $tokens["refresh_token"];


                echo "Error : ".$http_code." <br> Please check your access TOKEN KEY's to the API.";
                print_r(json_encode($info));
                $target_path = $_ENV["EDICONNECT_EBP"]."Logs/Avoirs/ERROR_AVOIR_$date.txt";
                $file = fopen($error_path, "a");
                $logs->addLog($file, "SUPPRESSION Avoir", "Erreur avec la requete cURL lors de l'export de l'avoir (Erreur $http_code)", "ERROR");
            }

        // } while ($resp["paging"]["total"] > 0);



    } 

    public function Import(){      
        
        include_once($_ENV["EDICONNECT_EBP"]."Functions/Logs.php");
        include_once($_ENV["EDICONNECT_EBP"]."Functions/Functions.php");
        include_once($_ENV["EDICONNECT_EBP"]."Configurations/api.php");
        $APIAuth = new APIAuth();
        $url = $APIAuth->GetApiPathInvoiceImport();
        $access_token = $APIAuth->access_token;    
        $ebp_subscription_key = $APIAuth->ebp_subscription_key;
        $functions = new Functions($access_token, $ebp_subscription_key);
        $logs = new Logs();

        $this_dir = dirname(__FILE__);
        $parent_dir = realpath($this_dir . '/..');
        $import_dir = $_ENV["EDICONNECT_EBP"]."Imports/Invoices";
        $files = glob("$import_dir/*.csv");

        foreach($files as $filepath) {
            if ($handle = fopen($filepath, "r")) {
                $first_line_data = fgetcsv($handle,1000,",");
                $invoice_ref = $first_line_data[0];

                $replace_fields_result = $functions->replace_fields($filepath, $invoice_ref);

                $curl = curl_init();
                curl_setopt_array($curl, array(
                CURLOPT_URL => $url,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => '',
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 0,
                CURLOPT_FOLLOWLOCATION => true,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => 'POST',
                CURLOPT_POSTFIELDS => array('file'=> new CURLFILE($filepath)),
                CURLOPT_HTTPHEADER => array(
                        "ebp-subscription-key: $ebp_subscription_key",
                        "Authorization: Bearer $access_token"
                    ),
                ));

                $response = curl_exec($curl);
                $response = json_decode($response);

                if ($importId = $response->importId) {
                    do {
                        $importInfo = $functions->getImportInfo($importId, $access_token, $ebp_subscription_key);
                    } while ($importInfo->status === "Starting" || $importInfo->status === "Waiting");

                    $date = date("YmdHis");
                    $nb_errors = $importInfo->importInfos->itemError;

                    if ($importInfo->status === "Completed") {
                        if ($nb_errors == 0) {
                            $target_path = $parent_dir . "/Logs/Invoices/Imports/SUCCESS_INVOICE_$invoice_ref" . "_$date.txt";
                            $file = fopen($target_path, "a") or die("Unable to open file!");
                            $logs->writeImportLog($file, $importInfo, "success");
                        }else {
                            $target_path = $parent_dir . "/Logs/Invoices/Imports/ERROR_INVOICE_$invoice_ref" . "_$date.txt";
                            $file = fopen($target_path, "a") or die("Unable to open file!");
                            $logs->writeImportLog($file, $importInfo, "error");
                        }
                    }

                }
                curl_close($curl);
            }
            fclose($filepath);
        }
    } 


         
    public function ImportInvoicesToSellsyV2(){ 


        $url = $this->SellsyAPIAuth->GetApiPathInvoiceToImport();
        
        // $functions = new Functions();
        // $logs = new Logs();

        $this_dir = dirname(__FILE__);
        $parent_dir = realpath($this_dir . '/..');
        $import_dir = $_ENV["EDICONNECT_EBP"]."Imports/Invoices";
        $FiletranscoCustomersSellsy = $_ENV["EDICONNECT_EBP"]."TranscoSellsy/Customers.json";
        $files = glob("$import_dir/*.csv");        

        foreach($files as $filepath) {
                $rowsLines = array();
                if (($handle = fopen($filepath, "r")) !== false) {
                    while (($line = fgetcsv($handle, 0, ';')) !== FALSE) {
                        if ($line[0] == 'DEMAT-HD1') {
                            $DocumentNumber = $line[3];
                            $DocumentDate = $line[5];
                            $DeliveryDate = $line[6];
                            $DeliveryAddress_Address1 = $line[7];
                            $DeliveryAddress_Address2 = $line[8];
                            $DeliveryAddress_Address3 = $line[9];
                            $DeliveryAddress_ZipCode = $line[10];
                            $DeliveryAddress_City = $line[11];
                        }
                        if ($line[0] == 'DEMAT-HD2') {
                            $CustomerName = $line[1];
                            $DeliveryAddress_WebSite = $line[2];
                            $InvoicingAddress_Address1 = $line[3];
                            $InvoicingAddress_Address2 = $line[4];
                            $InvoicingAddress_Address3 = $line[5];
                            $InvoicingAddress_ZipCode = $line[6];
                            $InvoicingAddress_City = $line[7];
                        }
                        if ($line[0] == 'DEMAT-HD3') {
                            $DeliveryContact_Name = $line[1];
                            $DeliveryContact_FirstName = $line[2];
                            $DeliveryContact_Phone = $line[3];
                            $DeliveryContact_CellPhone = $line[4];
                            $DeliveryContact_Fax = $line[5];
                            $DeliveryContact_Email = $line[6];
                        }
                        if ($line[0] == 'DEMAT-TAX') {
                            $taxValue = $line[1];
                            $vatAmount = $line[2];
                            $detailVatAmount0_EcotaxAmountVatExcluded = $line[3];
                            $detailVatAmount0_EcotaxVatAmount = $line[4];
                            $tva_tx_0 = $line[5];
                            $tva_base_ht_0 = $line[6];
                            $tva_montant_tva_0 = $line[7];
                            $tva_tx_1 = $line[8];
                            $tva_base_ht_1 = $line[9];
                            $tva_montant_tva_1 = $line[10];
                            $tva_tx_2 = $line[11];
                            $tva_base_ht_2 = $line[12];
                            $tva_montant_tva_2 = $line[13];
                            $tva_tx_3 = $line[14];
                            $tva_base_ht_3 = $line[15];
                            $tva_montant_tva_3 = $line[16];
                            $tva_tx_4 = $line[17];
                            $tva_base_ht_4 = $line[18];
                            $tva_montant_tva_4 = $line[19];
                            $tva_tx_5 = $line[20];
                            $tva_base_ht_5 = $line[21];
                            $tva_montant_tva_5 = $line[22];
                        }
                        if ($line[0] == 'DEMAT-END') {
                            $amountHT = $line[2];
                            $amountTTC = $line[3];
                            $costPrice = $line[4];
                            $amountVatExcludedWithDiscountAndShipping = $line[5];
                            $shippingAmountVatExcluded = $line[6];
                        }
                        if ($line[0] == 'DEMAT-LIN') {
                            if(!empty($line[4]) || !(empty($line[5]))){
                                $total_ht = floatval($line[7]);
                                $qty = floatval($line[10]);
                                $pu_ht = $total_ht / $qty;

                                $rowsLines[] = array(
                                    "type" => "single",
                                    "quantity" => $line[10],
                                    "reference" => $line[4],
                                    "description" => $line[5],
                                    "discount" => null,
                                    "tax_rate" => "20.00",
                                    "tax_amount" => $line[15],
                                    "amount_tax_inc" => $line[8],
                                    "amount_tax_exc" => $line[7],
                                    "analytic_code" => null,
                                    "purchase_amount" => $line[13],
                                    "unit_amount" => "$pu_ht",
                                    "tax_label" => ""
                                );
                            }
                        }
                    }

                    $json_string = file_get_contents($FiletranscoCustomersSellsy);
                    $data = json_decode($json_string, true);
    
                    foreach ($data as $item) {
                        if($item['name'] == $CustomerName){
                            $DocumentDate = new DateTime($DocumentDate);
                            $data = array(
                                    "date" => $DocumentDate->format('Y-m-d'),
                                    "related" => array(
                                        array(
                                            "type" => "company",
                                            "id" => $item['id']
                                        )
                                    ),
                                    "status" => "draft",
                                    "amounts" => array(
                                        "packaging" => "0.00",
                                        "shipping" => $shippingAmountVatExcluded,
                                        "total_raw_excl_tax" => $amountHT,
                                        "total_after_discount_excl_tax" => $amountHT,
                                        "total_excl_tax" => $amountHT,
                                        "total" => $amountTTC,
                                        "total_primes_incl_tax" => "0.00"
                                    ),
                                    "subject" => $DocumentNumber,
                                    "public_link_enabled" => false,
                                    "decimal_number" => array(
                                        "unit_price" => 2,
                                        "quantity" => 2,
                                        "main" => 2
                                    ),
                                    "payment_conditions_acceptance" => array(
                                        "enabled" => false
                                    ),
                                    "discount" => array(
                                        "percent" => "12.00",
                                        "amount" => "111.97",
                                        "type" => "amount"
                                    ),
                                    "rows" => $rowsLines,
                                    "_embed" => array(
                                        "payment_terms" => array(
                                            "settings" => array(
                                                "type" => "settings",
                                                "value" => array(
                                                    "id" => 0,
                                                    "label" => "Deadlines",
                                                    "x_days" => 0,
                                                    "end_of_month" => true,
                                                    "override_date" => true
                                                )
                                            ),
                                            "computed_instalment_plan" => array(
                                                array(
                                                    "date" => $DocumentDate->format('Y-m-d'),
                                                    "amount" => "string"
                                                )
                                            )
                                        ),
                                        "currency" => array(
                                            "id" => 1,
                                            "code" => "EUR",
                                            "symbol" => "€",
                                            "is_default" => true
                                        ),
                                        "acl" => array(
                                            "can_be_updated" => true,
                                            "can_be_deleted" => true
                                        )
                                    )
                            );
                            $data_string = json_encode($data);
                            // print_r($data_string);
                            $curl = curl_init();
                            curl_setopt_array($curl, array(
                                CURLOPT_URL => $url,
                                CURLOPT_RETURNTRANSFER => true,
                                CURLOPT_CUSTOMREQUEST => "POST",
                                CURLOPT_POSTFIELDS => $data_string,
                                CURLOPT_HTTPHEADER => array(
                                    "Content-Type: application/json",
                                    "Authorization: Bearer $this->sellsy_access_token"
                                ),
                            ));

                            $response = curl_exec($curl);
                            if ($response === false) {
                                echo "Erreur cURL : " . curl_error($curl);
                            } else {
                                //Validation de la facture
                                $response_data = json_decode($response, true);
                                $id = $response_data['id'];
                                $number = $response_data['number'];
                                echo "[PENDING] Invoice : (id:".$id.") - ".$number." Validation in progress !<br>";
                                curl_close($curl);
                                sleep(3);
                                $dataValidation = array(
                                    'date' => '2023-04-04',
                                );
                                $curlValidation = curl_init();
                                curl_setopt_array($curlValidation, array(
                                    CURLOPT_URL => "https://api.sellsy.com/v2/invoices/$id/validate",
                                    CURLOPT_RETURNTRANSFER => true,
                                    CURLOPT_CUSTOMREQUEST => "POST",
                                    CURLOPT_POSTFIELDS => json_encode($dataValidation),
                                    CURLOPT_HTTPHEADER => array(
                                        "Content-Type: application/json",
                                        "Authorization: Bearer $this->sellsy_access_token"
                                    ),
                                ));

                                $responseValidation = curl_exec($curlValidation);
                                if ($responseValidation === false) {
                                    echo "[ERROR] Invoice : (id:".$id.") - ".$number." Cant be validated yet !<br>";
                                } else {
                                    $response_dataValidation = json_decode($responseValidation, true);
                                    $FinalID = $response_dataValidation['id'];
                                    $FinalNumber = $response_dataValidation['number'];
                                    echo "[SUCCESS] Invoice : (id:".$FinalID.") - ".$FinalNumber."<br>";
                                }
                                curl_close($curlValidation);
                                //--------------------------------------
                            }
                        }
                    }

                      
                    fclose($file);;
                }



                
        }
    }


    public function ImportInvoicesToSellsyV1(){
        $url = $this->SellsyAPIAuth->GetApiPathInvoiceToImport();
        
        // $functions = new Functions();
        // $logs = new Logs();

        $this_dir = dirname(__FILE__);
        $parent_dir = realpath($this_dir . '/..');
        $import_dir = $_ENV["EDICONNECT_EBP"]."Imports/Invoices";
        $FiletranscoCustomersSellsy = $_ENV["EDICONNECT_EBP"]."TranscoSellsy/Customers2.json";
        $files = glob("$import_dir/*.csv");        


        // $data = array(
        //     "method" => "Document.create",
        //     "params" => array(
        //         "document" => array(
        //             "doctype" => "creditnote",
        //             "thirdid" => 45313475,
        //             "ident" => "FR00001",
        //             "notes" => "Notes",
        //             "enable_draft_number" => 0,
        //             "orderIdent" => "CM0001"
        //         ),
        //         "row" => array(
        //             "1" => array(
        //                 "row_type" => "once",
        //                 "row_name" => "product 1",
        //                 "row_unitAmount" => "1.30",
        //                 "row_taxid" => 5133003,
        //                 "row_qt" => "3",
        //             ),
        //             "2" => array(
        //                 "row_type" => "once",
        //                 "row_name" => "product 2",
        //                 "row_unitAmount" => "4.30",
        //                 "row_taxid" => 5133003,
        //                 "row_qt" => "5",
        //             )
        //         )
        //     )
        // );
        // $data_string = json_encode($data);
        // print_r($data_string);

        foreach($files as $filepath) {
                $rowsLines = array();
                if (($handle = fopen($filepath, "r")) !== false) {
                    while (($line = fgetcsv($handle, 0, ';')) !== FALSE) {
                        if ($line[0] == 'DEMAT-HD1') {
                            $DocumentNumber = $line[3];
                            $DocumentDate = $line[5];
                            $DeliveryDate = $line[6];
                            $DeliveryAddress_Address1 = $line[7];
                            $DeliveryAddress_Address2 = $line[8];
                            $DeliveryAddress_Address3 = $line[9];
                            $DeliveryAddress_ZipCode = $line[10];
                            $DeliveryAddress_City = $line[11];
                        }
                        if ($line[0] == 'DEMAT-HD2') {
                            $CustomerName = $line[1];
                            $DeliveryAddress_WebSite = $line[2];
                            $InvoicingAddress_Address1 = $line[3];
                            $InvoicingAddress_Address2 = $line[4];
                            $InvoicingAddress_Address3 = $line[5];
                            $InvoicingAddress_ZipCode = $line[6];
                            $InvoicingAddress_City = $line[7];
                        }
                        if ($line[0] == 'DEMAT-HD3') {
                            $DeliveryContact_Name = $line[1];
                            $DeliveryContact_FirstName = $line[2];
                            $DeliveryContact_Phone = $line[3];
                            $DeliveryContact_CellPhone = $line[4];
                            $DeliveryContact_Fax = $line[5];
                            $DeliveryContact_Email = $line[6];
                        }
                        if ($line[0] == 'DEMAT-TAX') {
                            $taxValue = $line[1];
                            $vatAmount = $line[2];
                            $detailVatAmount0_EcotaxAmountVatExcluded = $line[3];
                            $detailVatAmount0_EcotaxVatAmount = $line[4];
                            $tva_tx_0 = $line[5];
                            $tva_base_ht_0 = $line[6];
                            $tva_montant_tva_0 = $line[7];
                            $tva_tx_1 = $line[8];
                            $tva_base_ht_1 = $line[9];
                            $tva_montant_tva_1 = $line[10];
                            $tva_tx_2 = $line[11];
                            $tva_base_ht_2 = $line[12];
                            $tva_montant_tva_2 = $line[13];
                            $tva_tx_3 = $line[14];
                            $tva_base_ht_3 = $line[15];
                            $tva_montant_tva_3 = $line[16];
                            $tva_tx_4 = $line[17];
                            $tva_base_ht_4 = $line[18];
                            $tva_montant_tva_4 = $line[19];
                            $tva_tx_5 = $line[20];
                            $tva_base_ht_5 = $line[21];
                            $tva_montant_tva_5 = $line[22];
                        }
                        if ($line[0] == 'DEMAT-END') {
                            $amountHT = $line[2];
                            $amountTTC = $line[3];
                            $costPrice = $line[4];
                            $amountVatExcludedWithDiscountAndShipping = $line[5];
                            $shippingAmountVatExcluded = $line[6];
                        }

                        if ($line[0] == 'DEMAT-LIN') {
                            if(!empty($line[4]) || !(empty($line[5]))){
                                $total_ht = floatval($line[7]);
                                $qty = floatval($line[10]);
                                $pu_ht = floatval($total_ht / $qty);

                                // $vatPercentage = (abs($line[15]) / abs($line[7])) * 100;
                                // $vatPercentage = (abs($line[15]) / abs($line[7])) * 100;
                                $montantHT = $line[7];
                                $montantTVA = $line[15];
                                $tvaPourcentage = ($montantTVA / $montantHT) * 100;

                                switch (round($tvaPourcentage,1)) {
                                    case 20:
                                        $vatid = 3884771;
                                        break;
                                    case 10:
                                        $vatid = 3884772;
                                        break;
                                    case 8.5:
                                        $vatid = 3884773;
                                        break;
                                    case 5.5:
                                        $vatid = 3884774;
                                        break;
                                    case 2.1:
                                        $vatid = 3884775;
                                        break;
                                    case 0:
                                        $vatid = 3884776;
                                        break;
                                    default:
                                        $vatid = 3884776;
                                        break;
                                }
                                
                                


                                if(($line[4] == "PORT") && ($line[16] != 0)){
                                    $rowsLine = array(
                                        "row_type" => "shipping",
                                        // "row_shipping" => "DHL",
                                        "row_shipping" => "Frais de port",
                                        "row_name" => $line[4],
                                        "row_notes" => strval($line[5]),
                                        "row_unitAmount" => strval($line[16]),
                                        "row_taxid" => 3884771,
                                        "row_qt" => strval($line[10])

                                    );
                                    $lineNumber = $line[1];
                                    $rowsLines[$lineNumber] = $rowsLine; 
                                }else{

                                    if (is_nan($pu_ht)) {
                                        $row_unitAmount=0;
                                    } else {
                                        $row_unitAmount = $pu_ht;
                                    }

                                    $rowsLine = array(
                                        "row_type" => "once",
                                        "row_name" => $line[4],
                                        "row_notes" => strval($line[5]),
                                        "row_barcode" => $line[4],
                                        "row_unitAmount" => strval($row_unitAmount),
                                        "row_taxid" => $vatid,
                                        "row_qt" => strval(abs($line[10]))
                                        // "row_qt" => strval($line[10])
                                    );
                                    $lineNumber = $line[1];
                                    $rowsLines[$lineNumber] = $rowsLine; 
                                }
                            }

                        }
                    }

                    $lastRow = end($rowsLines);

                    if (($lastRow['row_name'] != 'PORT') && ($shippingAmountVatExcluded != 0)) {
                        $rowsLine = array(
                            "row_type" => "shipping",
                            "row_shipping" => "Frais de port",
                            "row_name" => "PORT",
                            "row_notes" => "Frais de port",
                            "row_unitAmount" => strval($shippingAmountVatExcluded),
                            "row_taxid" => 3884771,
                            "row_qt" => "1"

                        );
                        $lineNumber = $countlines;
                        $rowsLines[] = $rowsLine; 
                    }

                    
                    $json_string = file_get_contents($FiletranscoCustomersSellsy);
                    $data = json_decode($json_string, true);
    
                    // print("<pre>".print_r($rowsLines,true)."</pre>");                    
                    // die();
                    // foreach ($data as $item) {
                    //     if($item['name'] == $CustomerName){
                            // $DocumentDate = new DateTime($DocumentDate);
                        $getCustomerqueries = new Queries();
                        $CustomerName = trim(str_replace(array('"'), '', $CustomerName));
                        // $CustomerName = ltrim($CustomerName);
                        // $CustomerName = trim(str_replace(array('.'), '', $CustomerName));
                        // $CustomerName = trim(str_replace(array('  '), ' ', $CustomerName));
                        
                        $Address1 = trim(str_replace(array('"'), '', $InvoicingAddress_Address1));
                        $ZipCode = trim(str_replace(array('"'), '', $InvoicingAddress_ZipCode));
                        $City = trim(str_replace(array('"'), '', $InvoicingAddress_City));
                        $DeliveryContact_Phone = trim(str_replace(array('"'), '', $DeliveryContact_Phone));




                        // $getCustomer = $getCustomerqueries->getDocumentCustomer($CustomerName,$DeliveryContact_Email,$DeliveryContact_Name);
                        // $getCustomer = $getCustomerqueries->getDocumentCustomer($CustomerName,$Address1,$ZipCode,$City,$DeliveryContact_Phone);
                        // $getCustomer = $getCustomerqueries->getDocumentCustomer($CustomerName,$Address1,$ZipCode,$City,$DeliveryContact_Email,$DeliveryContact_Name,$DeliveryContact_Phone,$DeliveryContact_FirstName);
                        $getCustomer = $getCustomerqueries->getCustomerID($CustomerName);
                        if ($getCustomer !== false) {
                            $Date = new DateTime($DocumentDate);
                            $displayedDate = $Date->format('Y-m-d');
                            $timestampdisplayedDate = strtotime($displayedDate);
                            $data = array(
                                "method" => "Document.create",
                                "params" => array(
                                    "document" => array(
                                        "doctype" => "invoice",
                                        "thirdid" => $getCustomer,
                                        "ident" => strval($DocumentNumber),
                                        // "notes" => "Notes",
                                        "enable_draft_number" => 0,
                                        "displayedDate" => $timestampdisplayedDate,
                                    ),
                                    "row" => $rowsLines,
                                )
                            );
                            $data_string = json_encode($data);
                            // print("<pre>".print_r($data_string,true)."</pre>");

                            $curl = curl_init();
                            $timestamp = time();
                            curl_setopt_array($curl, array(
                                CURLOPT_URL => 'https://apifeed.sellsy.com/0/',
                                CURLOPT_RETURNTRANSFER => true,
                                CURLOPT_ENCODING => '',
                                CURLOPT_MAXREDIRS => 999999,
                                CURLOPT_TIMEOUT => 0,
                                CURLOPT_FOLLOWLOCATION => true,
                                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                CURLOPT_CUSTOMREQUEST => 'POST',
                                CURLOPT_POSTFIELDS => array(
                                    'request' => '1',
                                    'io_mode' => 'json',
                                    'do_in' => $data_string,
                                ),
                                CURLOPT_HTTPHEADER => array(
                                    'Authorization: OAuth oauth_consumer_key="ffaf35c5356a1086018fabdcdad12c9a9868daae",oauth_token="7058f93354bd475e3dda7def2defa4b50034f0d4",oauth_signature_method="PLAINTEXT",oauth_timestamp="' . $timestamp . '",oauth_nonce="EMx6bZLTZLn",oauth_version="1.0",oauth_signature="ba57cddc777f7e31174914adcea5009ac7510366%264ad049a444ab381e29773e5f9d92b119728eac95"'
                                ),
                            ));
                            $response = curl_exec($curl);
                            // print_r($response);

                            if(json_decode($response)->status == "success"){
                                $id = json_decode($response)->response->doc_id;
                                echo "<br>[SUCCESS] Invoice : (id:".$id.')';
                                rename($filepath, $import_dir.'/SuccessDelta/Invoice_'.$DocumentNumber.'.csv');
                                curl_close($curl);
                                $dataValidation = array(
                                    "method" => "Document.validate",
                                    "params" => array(
                                        "docid" => $id,
                                        "date" => $timestampdisplayedDate
                                        )
                                    );
                                $data_validation = json_encode($dataValidation);
                                // print_r($data_Validation);
                                $curlValidate = curl_init();
                                $timestampValidate = time();
                                curl_setopt_array($curlValidate, array(
                                    CURLOPT_URL => 'https://apifeed.sellsy.com/0/',
                                    CURLOPT_RETURNTRANSFER => true,
                                    CURLOPT_ENCODING => '',
                                    CURLOPT_MAXREDIRS => 999999,
                                    CURLOPT_TIMEOUT => 0,
                                    CURLOPT_FOLLOWLOCATION => true,
                                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                    CURLOPT_CUSTOMREQUEST => 'POST',
                                    CURLOPT_POSTFIELDS => array(
                                        'request' => '1',
                                        'io_mode' => 'json',
                                        'do_in' => $data_validation,
                                    ),
                                    CURLOPT_HTTPHEADER => array(
                                        'Authorization: OAuth oauth_consumer_key="ffaf35c5356a1086018fabdcdad12c9a9868daae",oauth_token="7058f93354bd475e3dda7def2defa4b50034f0d4",oauth_signature_method="PLAINTEXT",oauth_timestamp="' . $timestampValidate . '",oauth_nonce="EMx6bZLTZLn",oauth_version="1.0",oauth_signature="ba57cddc777f7e31174914adcea5009ac7510366%264ad049a444ab381e29773e5f9d92b119728eac95"'
                                    ),
                                ));
                                $responseValidation = curl_exec($curlValidate);
                                curl_close($curlValidate);
                                // print_r($responseValidation);
                            }else{
                                print_r($response);
                                rename($filepath, $import_dir.'/Errors/Invoice_'.$DocumentNumber.'.csv');
                                curl_close($curl);
                            }
                            sleep(4);
                        }else{

                            $getCustomerCountqueries = new Queries();
                            $getCustomerCount = $getCustomerCountqueries->getDocumentCustomerCount($CustomerName);
                        
                            
                            echo '<br>[ERROR] Customer not found : (DocumentNumber:'.$DocumentNumber.')- Client :'.$CustomerName.'=======> count : '.$getCustomerCount.' ===> : SELECT idsellsy FROM customers WHERE name="'.$CustomerName.'" and adr ="'.$Address1.'" and zip ="'.$ZipCode.'" and city ="'.$City.'" limit 1';                            
                            // echo "<br>[ERROR] Customer not found : (DocumentNumber:".$DocumentNumber.")";
                            rename($filepath, $import_dir.'/NotFound/Invoice_'.$DocumentNumber.'.csv');
                        }
                    //     }
                    // }

                      
                    fclose($file);;
                }    
        }
    }
         
    // public function ImportInvoicesToSellsyV1(){ 


    //     $url = $this->SellsyAPIAuth->GetApiPathInvoiceToImport();
        
    //     // $functions = new Functions();
    //     // $logs = new Logs();

    //     $this_dir = dirname(__FILE__);
    //     $parent_dir = realpath($this_dir . '/..');
    //     $import_dir = $_ENV["EDICONNECT_EBP"]."Imports/Invoices";
    //     $FiletranscoCustomersSellsy = $_ENV["EDICONNECT_EBP"]."TranscoSellsy/Customers.json";
    //     $files = glob("$import_dir/*.csv");        


    //     $data = array(
    //         "method" => "Document.create",
    //         "params" => array(
    //             "document" => array(
    //                 "doctype" => "invoice ",
    //                 "thirdid" => 45313475,
    //                 "ident" => "FR00001",
    //                 "notes" => "Notes",
    //                 "enable_draft_number" => 0,
    //                 "orderIdent" => "CM0001"
    //             ),
    //             "row" => array(
    //                 "1" => array(
    //                     "row_type" => "once",
    //                     "row_name" => "product 1",
    //                     "row_unitAmount" => "1.30",
    //                     "row_taxid" => 5133003,
    //                     "row_qt" => "3",
    //                 ),
    //                 "2" => array(
    //                     "row_type" => "once",
    //                     "row_name" => "product 2",
    //                     "row_unitAmount" => "4.30",
    //                     "row_taxid" => 5133003,
    //                     "row_qt" => "5",
    //                 )
    //             )
    //         )
    //     );
    //     $data_string = json_encode($data);
    //     print_r($data_string);

    //     // foreach($files as $filepath) {
    //     //         $rowsLines = array();
    //     //         if (($handle = fopen($filepath, "r")) !== false) {
    //     //             while (($line = fgetcsv($handle, 0, ';')) !== FALSE) {
    //     //                 if ($line[0] == 'DEMAT-HD1') {
    //     //                     $DocumentNumber = $line[3];
    //     //                     $DocumentDate = $line[5];
    //     //                     $DeliveryDate = $line[6];
    //     //                     $DeliveryAddress_Address1 = $line[7];
    //     //                     $DeliveryAddress_Address2 = $line[8];
    //     //                     $DeliveryAddress_Address3 = $line[9];
    //     //                     $DeliveryAddress_ZipCode = $line[10];
    //     //                     $DeliveryAddress_City = $line[11];
    //     //                 }
    //     //                 if ($line[0] == 'DEMAT-HD2') {
    //     //                     $CustomerName = $line[1];
    //     //                     $DeliveryAddress_WebSite = $line[2];
    //     //                     $InvoicingAddress_Address1 = $line[3];
    //     //                     $InvoicingAddress_Address2 = $line[4];
    //     //                     $InvoicingAddress_Address3 = $line[5];
    //     //                     $InvoicingAddress_ZipCode = $line[6];
    //     //                     $InvoicingAddress_City = $line[7];
    //     //                 }
    //     //                 if ($line[0] == 'DEMAT-HD3') {
    //     //                     $DeliveryContact_Name = $line[1];
    //     //                     $DeliveryContact_FirstName = $line[2];
    //     //                     $DeliveryContact_Phone = $line[3];
    //     //                     $DeliveryContact_CellPhone = $line[4];
    //     //                     $DeliveryContact_Fax = $line[5];
    //     //                     $DeliveryContact_Email = $line[6];
    //     //                 }
    //     //                 if ($line[0] == 'DEMAT-TAX') {
    //     //                     $taxValue = $line[1];
    //     //                     $vatAmount = $line[2];
    //     //                     $detailVatAmount0_EcotaxAmountVatExcluded = $line[3];
    //     //                     $detailVatAmount0_EcotaxVatAmount = $line[4];
    //     //                     $tva_tx_0 = $line[5];
    //     //                     $tva_base_ht_0 = $line[6];
    //     //                     $tva_montant_tva_0 = $line[7];
    //     //                     $tva_tx_1 = $line[8];
    //     //                     $tva_base_ht_1 = $line[9];
    //     //                     $tva_montant_tva_1 = $line[10];
    //     //                     $tva_tx_2 = $line[11];
    //     //                     $tva_base_ht_2 = $line[12];
    //     //                     $tva_montant_tva_2 = $line[13];
    //     //                     $tva_tx_3 = $line[14];
    //     //                     $tva_base_ht_3 = $line[15];
    //     //                     $tva_montant_tva_3 = $line[16];
    //     //                     $tva_tx_4 = $line[17];
    //     //                     $tva_base_ht_4 = $line[18];
    //     //                     $tva_montant_tva_4 = $line[19];
    //     //                     $tva_tx_5 = $line[20];
    //     //                     $tva_base_ht_5 = $line[21];
    //     //                     $tva_montant_tva_5 = $line[22];
    //     //                 }
    //     //                 if ($line[0] == 'DEMAT-END') {
    //     //                     $amountHT = $line[2];
    //     //                     $amountTTC = $line[3];
    //     //                     $costPrice = $line[4];
    //     //                     $amountVatExcludedWithDiscountAndShipping = $line[5];
    //     //                     $shippingAmountVatExcluded = $line[6];
    //     //                 }
    //     //                 if ($line[0] == 'DEMAT-LIN') {
    //     //                     if(!empty($line[4]) || !(empty($line[5]))){
    //     //                         $total_ht = floatval($line[7]);
    //     //                         $qty = floatval($line[10]);
    //     //                         $pu_ht = $total_ht / $qty;

    //     //                         $rowsLines[] = array(
    //     //                             "type" => "single",
    //     //                             "tax_id" => 5133003,
    //     //                             "quantity" => $line[10],
    //     //                             "reference" => $line[4],
    //     //                             "description" => $line[5],
    //     //                             "discount" => null,
    //     //                             "tax_rate" => "20.00",
    //     //                             "tax_amount" => $line[15],
    //     //                             "amount_tax_inc" => $line[8],
    //     //                             "amount_tax_exc" => $line[7],
    //     //                             "analytic_code" => null,
    //     //                             "purchase_amount" => $line[13],
    //     //                             "unit_amount" => "$pu_ht",
    //     //                             "tax_label" => ""
    //     //                         );
    //     //                     }
    //     //                 }
    //     //             }

    //     //             $json_string = file_get_contents($FiletranscoCustomersSellsy);
    //     //             $data = json_decode($json_string, true);
    
    //     //             foreach ($data as $item) {
    //     //                 if($item['name'] == $CustomerName){
    //     //                     $DocumentDate = new DateTime($DocumentDate);
    //     //                     $data = array(
    //     //                         "method" => "Document.create",
    //     //                         "params" => array(
    //     //                             "document" => array(
    //     //                                 "doctype" => "invoice ",
    //     //                                 "thirdid" => 45313475,
    //     //                                 "ident" => "FR00001",
    //     //                                 "notes" => "Notes",
    //     //                                 "enable_draft_number" => 0,
    //     //                                 "orderIdent" => "CM0001"
    //     //                             ),
    //     //                             "row" => array(
    //     //                                 "1" => array(
    //     //                                     "row_type" => "once",
    //     //                                     "row_name" => "product 1",
    //     //                                     "row_unitAmount" => "1.30",
    //     //                                     "row_taxid" => 5133003,
    //     //                                     "row_qt" => "3",
    //     //                                 ),
    //     //                                 "2" => array(
    //     //                                     "row_type" => "once",
    //     //                                     "row_name" => "product 2",
    //     //                                     "row_unitAmount" => "4.30",
    //     //                                     "row_taxid" => 5133003,
    //     //                                     "row_qt" => "5",
    //     //                                 )
    //     //                             )
    //     //                         )
    //     //                     );
    //     //                     $data_string = json_encode($data);
    //     //                     // print_r($data_string);
    //     //                     $curl = curl_init();
    //     //                     curl_setopt_array($curl, array(
    //     //                         CURLOPT_URL => $url,
    //     //                         CURLOPT_RETURNTRANSFER => true,
    //     //                         CURLOPT_CUSTOMREQUEST => "POST",
    //     //                         CURLOPT_POSTFIELDS => $data_string,
    //     //                         CURLOPT_HTTPHEADER => array(
    //     //                             "Content-Type: application/json",
    //     //                             "Authorization: Bearer $this->sellsy_access_token"
    //     //                         ),
    //     //                     ));

    //     //                     $response = curl_exec($curl);
    //     //                     if ($response === false) {
    //     //                         echo "Erreur cURL : " . curl_error($curl);
    //     //                     } else {
    //     //                         $response_data = json_decode($response, true);
    //     //                         $id = $response_data['id'];
    //     //                         $number = $response_data['number'];
    //     //                         echo "[PENDING] Invoice : (id:".$id.") - ".$number." Validated !<br>";
    //     //                     }
    //     //                 }
    //     //             }

                      
    //     //             fclose($file);;
    //     //         }    
    //     // }
    // }

             
    // public function ImportAvoirsToSellsyV2(){ 


    //     $url = $this->SellsyAPIAuth->GetApiPathInvoiceToImport();
        
    //     // $functions = new Functions();
    //     // $logs = new Logs();

    //     $this_dir = dirname(__FILE__);
    //     $parent_dir = realpath($this_dir . '/..');
    //     $import_dir = $_ENV["EDICONNECT_EBP"]."Imports/Invoices";
    //     $FiletranscoCustomersSellsy = $_ENV["EDICONNECT_EBP"]."TranscoSellsy/Customers.json";
    //     $files = glob("$import_dir/*.csv");        

    //     foreach($files as $filepath) {
    //             $rowsLines = array();
    //             if (($handle = fopen($filepath, "r")) !== false) {
    //                 while (($line = fgetcsv($handle, 0, ';')) !== FALSE) {
    //                     if ($line[0] == 'DEMAT-HD1') {
    //                         $DocumentNumber = $line[3];
    //                         $DocumentDate = $line[5];
    //                         $DeliveryDate = $line[6];
    //                         $DeliveryAddress_Address1 = $line[7];
    //                         $DeliveryAddress_Address2 = $line[8];
    //                         $DeliveryAddress_Address3 = $line[9];
    //                         $DeliveryAddress_ZipCode = $line[10];
    //                         $DeliveryAddress_City = $line[11];
    //                     }
    //                     if ($line[0] == 'DEMAT-HD2') {
    //                         $CustomerName = $line[1];
    //                         $DeliveryAddress_WebSite = $line[2];
    //                         $InvoicingAddress_Address1 = $line[3];
    //                         $InvoicingAddress_Address2 = $line[4];
    //                         $InvoicingAddress_Address3 = $line[5];
    //                         $InvoicingAddress_ZipCode = $line[6];
    //                         $InvoicingAddress_City = $line[7];
    //                     }
    //                     if ($line[0] == 'DEMAT-HD3') {
    //                         $DeliveryContact_Name = $line[1];
    //                         $DeliveryContact_FirstName = $line[2];
    //                         $DeliveryContact_Phone = $line[3];
    //                         $DeliveryContact_CellPhone = $line[4];
    //                         $DeliveryContact_Fax = $line[5];
    //                         $DeliveryContact_Email = $line[6];
    //                     }
    //                     if ($line[0] == 'DEMAT-TAX') {
    //                         $taxValue = $line[1];
    //                         $vatAmount = $line[2];
    //                         $detailVatAmount0_EcotaxAmountVatExcluded = $line[3];
    //                         $detailVatAmount0_EcotaxVatAmount = $line[4];
    //                         $tva_tx_0 = $line[5];
    //                         $tva_base_ht_0 = $line[6];
    //                         $tva_montant_tva_0 = $line[7];
    //                         $tva_tx_1 = $line[8];
    //                         $tva_base_ht_1 = $line[9];
    //                         $tva_montant_tva_1 = $line[10];
    //                         $tva_tx_2 = $line[11];
    //                         $tva_base_ht_2 = $line[12];
    //                         $tva_montant_tva_2 = $line[13];
    //                         $tva_tx_3 = $line[14];
    //                         $tva_base_ht_3 = $line[15];
    //                         $tva_montant_tva_3 = $line[16];
    //                         $tva_tx_4 = $line[17];
    //                         $tva_base_ht_4 = $line[18];
    //                         $tva_montant_tva_4 = $line[19];
    //                         $tva_tx_5 = $line[20];
    //                         $tva_base_ht_5 = $line[21];
    //                         $tva_montant_tva_5 = $line[22];
    //                     }
    //                     if ($line[0] == 'DEMAT-END') {
    //                         $amountHT = $line[2];
    //                         $amountTTC = $line[3];
    //                         $costPrice = $line[4];
    //                         $amountVatExcludedWithDiscountAndShipping = $line[5];
    //                         $shippingAmountVatExcluded = $line[6];
    //                     }
    //                     if ($line[0] == 'DEMAT-LIN') {
    //                         if(!empty($line[4]) || !(empty($line[5]))){
    //                             $total_ht = floatval($line[7]);
    //                             $qty = floatval($line[10]);
    //                             $pu_ht = $total_ht / $qty;

    //                             $rowsLines[] = array(
    //                                 "type" => "single",
    //                                 "tax_id" => 5133003,
    //                                 "quantity" => $line[10],
    //                                 "reference" => $line[4],
    //                                 "description" => $line[5],
    //                                 "discount" => null,
    //                                 "tax_rate" => "20.00",
    //                                 "tax_amount" => $line[15],
    //                                 "amount_tax_inc" => $line[8],
    //                                 "amount_tax_exc" => $line[7],
    //                                 "analytic_code" => null,
    //                                 "purchase_amount" => $line[13],
    //                                 "unit_amount" => "$pu_ht",
    //                                 "tax_label" => ""
    //                             );
    //                         }
    //                     }
    //                 }

    //                 $json_string = file_get_contents($FiletranscoCustomersSellsy);
    //                 $data = json_decode($json_string, true);
    
    //                 foreach ($data as $item) {
    //                     if($item['name'] == $CustomerName){
    //                         $DocumentDate = new DateTime($DocumentDate);
    //                         $data = array(
    //                                 "date" => $DocumentDate->format('Y-m-d'),
    //                                 "related" => array(
    //                                     array(
    //                                         "type" => "company",
    //                                         "id" => $item['id']
    //                                     )
    //                                 ),
    //                                 "status" => "draft",
    //                                 "amounts" => array(
    //                                     "packaging" => "0.00",
    //                                     "shipping" => $shippingAmountVatExcluded,
    //                                     "total_raw_excl_tax" => $amountHT,
    //                                     "total_after_discount_excl_tax" => $amountHT,
    //                                     "total_excl_tax" => $amountHT,
    //                                     "total" => $amountTTC,
    //                                     "total_primes_incl_tax" => "0.00"
    //                                 ),
    //                                 "subject" => $DocumentNumber,
    //                                 "public_link_enabled" => false,
    //                                 "decimal_number" => array(
    //                                     "unit_price" => 2,
    //                                     "quantity" => 2,
    //                                     "main" => 2
    //                                 ),
    //                                 "payment_conditions_acceptance" => array(
    //                                     "enabled" => false
    //                                 ),
    //                                 "discount" => array(
    //                                     "percent" => "12.00",
    //                                     "amount" => "111.97",
    //                                     "type" => "amount"
    //                                 ),
    //                                 "taxes" => array(
    //                                     array(
    //                                         "label" => "",
    //                                         "id" => 5133003,
    //                                         "rate" => "20.00",
    //                                         "amount" => "120.00"
    //                                     )
    //                                 ),
    //                                 "rows" => $rowsLines,
    //                                 "_embed" => array(
    //                                     "payment_terms" => array(
    //                                         "settings" => array(
    //                                             "type" => "settings",
    //                                             "value" => array(
    //                                                 "id" => 0,
    //                                                 "label" => "Deadlines",
    //                                                 "x_days" => 0,
    //                                                 "end_of_month" => true,
    //                                                 "override_date" => true
    //                                             )
    //                                         ),
    //                                         "computed_instalment_plan" => array(
    //                                             array(
    //                                                 "date" => $DocumentDate->format('Y-m-d'),
    //                                                 "amount" => "string"
    //                                             )
    //                                         )
    //                                     ),
    //                                     "currency" => array(
    //                                         "id" => 1,
    //                                         "code" => "EUR",
    //                                         "symbol" => "€",
    //                                         "is_default" => true
    //                                     ),
    //                                     "acl" => array(
    //                                         "can_be_updated" => true,
    //                                         "can_be_deleted" => true
    //                                     )
    //                                 )
    //                         );
    //                         $data_string = json_encode($data);
    //                         // print_r($data_string);
    //                         $curl = curl_init();
    //                         curl_setopt_array($curl, array(
    //                             CURLOPT_URL => $url,
    //                             CURLOPT_RETURNTRANSFER => true,
    //                             CURLOPT_CUSTOMREQUEST => "POST",
    //                             CURLOPT_POSTFIELDS => $data_string,
    //                             CURLOPT_HTTPHEADER => array(
    //                                 "Content-Type: application/json",
    //                                 "Authorization: Bearer $this->sellsy_access_token"
    //                             ),
    //                         ));

    //                         $response = curl_exec($curl);
    //                         if ($response === false) {
    //                             echo "Erreur cURL : " . curl_error($curl);
    //                         } else {
    //                             //Validation de la facture
    //                             $response_data = json_decode($response, true);
    //                             $id = $response_data['id'];
    //                             $number = $response_data['number'];
    //                             echo "[PENDING] Invoice : (id:".$id.") - ".$number." Validation in progress !<br>";
    //                             curl_close($curl);
    //                             echo "https://api.sellsy.com/v2/invoices/$id/validate<br>";
    //                             sleep(3);
    //                             $dataValidation = array(
    //                                 'date' => '2023-04-04',
    //                             );
    //                             $curlValidation = curl_init();
    //                             curl_setopt_array($curlValidation, array(
    //                                 CURLOPT_URL => "https://api.sellsy.com/v2/invoices/$id/validate",
    //                                 CURLOPT_RETURNTRANSFER => true,
    //                                 CURLOPT_CUSTOMREQUEST => "POST",
    //                                 CURLOPT_POSTFIELDS => json_encode($dataValidation),
    //                                 CURLOPT_HTTPHEADER => array(
    //                                     "Content-Type: application/json",
    //                                     "Authorization: Bearer $this->sellsy_access_token"
    //                                 ),
    //                             ));

    //                             $responseValidation = curl_exec($curlValidation);
    //                             if ($responseValidation === false) {
    //                                 echo "[ERROR] Invoice : (id:".$id.") - ".$number." Cant be validated yet !<br>";
    //                             } else {
    //                                 $response_dataValidation = json_decode($responseValidation, true);
    //                                 $FinalID = $response_dataValidation['id'];
    //                                 $FinalNumber = $response_dataValidation['number'];
    //                                 echo "[SUCCESS] Invoice : (id:".$FinalID.") - ".$FinalNumber."<br>";
    //                             }
    //                             curl_close($curlValidation);
    //                             //--------------------------------------
    //                         }
    //                     }
    //                 }

                      
    //                 fclose($file);;
    //             }



                
    //     }
    // }


    public function ImportAvoirsToSellsyV1(){ 

        
        $url = $this->SellsyAPIAuth->GetApiPathInvoiceToImport();
        
        // $functions = new Functions();
        // $logs = new Logs();

        $this_dir = dirname(__FILE__);
        $parent_dir = realpath($this_dir . '/..');
        $import_dir = $_ENV["EDICONNECT_EBP"]."Imports/Avoirs";
        // $FiletranscoCustomersSellsy = $_ENV["EDICONNECT_EBP"]."TranscoSellsy/Customers2.json";
        $files = glob("$import_dir/*.csv");        

        
        // $data = array(
        //     "method" => "Document.create",
        //     "params" => array(
        //         "document" => array(
        //             "doctype" => "creditnote",
        //             "thirdid" => 45313475,
        //             "ident" => "FR00001",
        //             "notes" => "Notes",
        //             "enable_draft_number" => 0,
        //             "orderIdent" => "CM0001"
        //         ),
        //         "row" => array(
        //             "1" => array(
        //                 "row_type" => "once",
        //                 "row_name" => "product 1",
        //                 "row_unitAmount" => "1.30",
        //                 "row_taxid" => 5133003,
        //                 "row_qt" => "3",
        //             ),
        //             "2" => array(
        //                 "row_type" => "once",
        //                 "row_name" => "product 2",
        //                 "row_unitAmount" => "4.30",
        //                 "row_taxid" => 5133003,
        //                 "row_qt" => "5",
        //             )
        //         )
        //     )
        // );
        // $data_string = json_encode($data);
        // print_r($data_string);

        foreach($files as $filepath) {
                $rowsLines = array();
                if (($handle = fopen($filepath, "r")) !== false) {
                    while (($line = fgetcsv($handle, 0, ';')) !== FALSE) {
                        $shippingAmountVatExcluded = 0;
                        if ($line[0] == 'DEMAT-HD1') {
                            $DocumentNumber = $line[3];
                            $DocumentDate = $line[5];
                            $DeliveryDate = $line[6];
                            $DeliveryAddress_Address1 = $line[7];
                            $DeliveryAddress_Address2 = $line[8];
                            $DeliveryAddress_Address3 = $line[9];
                            $DeliveryAddress_ZipCode = $line[10];
                            $DeliveryAddress_City = $line[11];
                        }
                        if ($line[0] == 'DEMAT-HD2') {
                            $CustomerName = $line[1];
                            $DeliveryAddress_WebSite = $line[2];
                            $InvoicingAddress_Address1 = $line[3];
                            $InvoicingAddress_Address2 = $line[4];
                            $InvoicingAddress_Address3 = $line[5];
                            $InvoicingAddress_ZipCode = $line[6];
                            $InvoicingAddress_City = $line[7];
                        }
                        if ($line[0] == 'DEMAT-HD3') {
                            $DeliveryContact_Name = $line[1];
                            $DeliveryContact_FirstName = $line[2];
                            $DeliveryContact_Phone = $line[3];
                            $DeliveryContact_CellPhone = $line[4];
                            $DeliveryContact_Fax = $line[5];
                            $DeliveryContact_Email = $line[6];
                        }
                        if ($line[0] == 'DEMAT-TAX') {
                            $taxValue = $line[1];
                            $vatAmount = $line[2];
                            $detailVatAmount0_EcotaxAmountVatExcluded = $line[3];
                            $detailVatAmount0_EcotaxVatAmount = $line[4];
                            $tva_tx_0 = $line[5];
                            $tva_base_ht_0 = $line[6];
                            $tva_montant_tva_0 = $line[7];
                            $tva_tx_1 = $line[8];
                            $tva_base_ht_1 = $line[9];
                            $tva_montant_tva_1 = $line[10];
                            $tva_tx_2 = $line[11];
                            $tva_base_ht_2 = $line[12];
                            $tva_montant_tva_2 = $line[13];
                            $tva_tx_3 = $line[14];
                            $tva_base_ht_3 = $line[15];
                            $tva_montant_tva_3 = $line[16];
                            $tva_tx_4 = $line[17];
                            $tva_base_ht_4 = $line[18];
                            $tva_montant_tva_4 = $line[19];
                            $tva_tx_5 = $line[20];
                            $tva_base_ht_5 = $line[21];
                            $tva_montant_tva_5 = $line[22];
                        }
                        if ($line[0] == 'DEMAT-END') {
                            $amountHT = $line[2];
                            $amountTTC = $line[3];
                            $costPrice = $line[4];
                            $amountVatExcludedWithDiscountAndShipping = $line[5];
                            $shippingAmountVatExcluded = $line[6];
                        }
                        $countlines = 0;
                        
                        if ($line[0] == 'DEMAT-LIN') {
                            if(!empty($line[4]) || !(empty($line[5]))){
                                
                                $countlines += 1;

                                

                                // $vatPercentage = (abs($line[15]) / abs($line[7])) * 100;
                                // $vatPercentage = (abs($line[15]) / abs($line[7])) * 100;
                                $montantHT = $line[7];
                                $montantTVA = $line[15];
                                $tvaPourcentage = ($montantTVA / $montantHT) * 100;

                                switch (round($tvaPourcentage,1)) {
                                    case 20:
                                        $vatid = 3884771;
                                        break;
                                    case 10:
                                        $vatid = 3884772;
                                        break;
                                    case 8.5:
                                        $vatid = 3884773;
                                        break;
                                    case 5.5:
                                        $vatid = 3884774;
                                        break;
                                    case 2.1:
                                        $vatid = 3884775;
                                        break;
                                    case 0:
                                        $vatid = 3884776;
                                        break;
                                    default:
                                        $vatid = 3884776;
                                        break;
                                }
 
                                if(($line[4] == "PORT") && ($line[16] != 0)){


                                    $rowsLine = array(
                                        "row_type" => "shipping",
                                        "row_shipping" => "Frais de port",
                                        "row_name" => $line[4],
                                        "row_notes" => strval($line[5]),
                                        "row_unitAmount" => strval($line[16] * -1),
                                        "row_taxid" => 3884771,
                                        "row_qt" => strval($line[10])

                                    );
                                    $lineNumber = $line[1];
                                    $rowsLines[$lineNumber] = $rowsLine; 
                                }else{
                                    

                                    $total_ht = floatval($line[7]);
                                    $qty = floatval($line[10]);
                                    $pu_ht = floatval($total_ht / $qty);
                                    if (is_nan($pu_ht)) {
                                        $row_unitAmount=0;
                                    } else {
                                        $row_unitAmount = $pu_ht;
                                    }
                                    $rowsLine = array(
                                        "row_type" => "once",
                                        "row_name" => $line[4],
                                        "row_notes" => strval($line[5]),
                                        "row_barcode" => $line[4],
                                        "row_unitAmount" => strval($row_unitAmount),
                                        "row_taxid" => $vatid,
                                        // "row_qt" => strval(abs($line[10]))
                                        "row_qt" => strval($line[10])
                                    );
                                    $lineNumber = $line[1];
                                    $rowsLines[$lineNumber] = $rowsLine; 
                                }
                            }
                        }
                    }

                    $lastRow = end($rowsLines);

                    if (($lastRow['row_name'] != 'PORT') && ($shippingAmountVatExcluded != 0)) {
                        $rowsLine = array(
                            "row_type" => "shipping",
                            "row_shipping" => "Frais de port",
                            "row_name" => "PORT",
                            "row_notes" => "Frais de port",
                            "row_unitAmount" => strval($shippingAmountVatExcluded),
                            "row_taxid" => 3884771,
                            "row_qt" => "1"

                        );
                        $lineNumber = $countlines;
                        $rowsLines[] = $rowsLine; 
                    } 
                    // $json_string = file_get_contents($FiletranscoCustomersSellsy);
                    // $data = json_decode($json_string, true);
    
                    // print("<pre>".print_r($rowsLines,true)."</pre>");                    
                    // die();
                    // foreach ($data as $item) {

                        
                       
                        $getCustomerqueries = new Queries();
                        $CustomerName = trim(str_replace(array('"'), '', $CustomerName));
                        // $CustomerName = ltrim($CustomerName);
                        // $CustomerName = trim(str_replace(array('.'), '', $CustomerName));
                        // $CustomerName = trim(str_replace(array('  '), ' ', $CustomerName));


                        $Address1 = trim(str_replace(array('"'), '', $InvoicingAddress_Address1));
                        $ZipCode = trim(str_replace(array('"'), '', $InvoicingAddress_ZipCode));
                        $City = trim(str_replace(array('"'), '', $InvoicingAddress_City));
                        $DeliveryContact_Phone = trim(str_replace(array('"'), '', $DeliveryContact_Phone));



                        
                        // $getCustomer = $getCustomerqueries->getDocumentCustomer($CustomerName,$DeliveryContact_Email,$DeliveryContact_Name);
                        // $getCustomer = $getCustomerqueries->getDocumentCustomer($CustomerName,$Address1,$ZipCode,$City,$DeliveryContact_Phone);
                        // $getCustomer = $getCustomerqueries->getDocumentCustomer($CustomerName,$Address1,$ZipCode,$City,$DeliveryContact_Email,$DeliveryContact_Name,$DeliveryContact_Phone,$DeliveryContact_FirstName);
                        $getCustomer = $getCustomerqueries->getCustomerID($CustomerName);
                        // $getCustomer = $getCustomerqueries->getDocumentCustomer($CustomerName,$DeliveryContact_Email);
                        
                        if ($getCustomer !== false) {
                            $Date = new DateTime($DocumentDate);
                            $displayedDate = $Date->format('Y-m-d');
                            $timestampdisplayedDate = strtotime($displayedDate);
                            $idsellsy = $getCustomer;
                            $data = array(
                                "method" => "Document.create",
                                "params" => array(
                                    "document" => array(
                                        "doctype" => "creditnote",
                                        "thirdid" => $idsellsy,
                                        "ident" => strval($DocumentNumber),
                                        "displayedDate" => $timestampdisplayedDate,
                                        // "notes" => "Notes",
                                        
                                        "enable_draft_number" => 0,
                                    ),
                                    "row" => $rowsLines,
                                )
                            );
                            $data_string = json_encode($data);
                            // print_r("<pre>".print_r($data_string,true)."</pre>");
                            $curl = curl_init();
                            $timestamp = time();
                            curl_setopt_array($curl, array(
                                CURLOPT_URL => 'https://apifeed.sellsy.com/0/',
                                CURLOPT_RETURNTRANSFER => true,
                                CURLOPT_ENCODING => '',
                                CURLOPT_MAXREDIRS => 999999,
                                CURLOPT_TIMEOUT => 0,
                                CURLOPT_FOLLOWLOCATION => true,
                                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                CURLOPT_CUSTOMREQUEST => 'POST',
                                CURLOPT_POSTFIELDS => array(
                                    'request' => '1',
                                    'io_mode' => 'json',
                                    'do_in' => $data_string,
                                ),
                                CURLOPT_HTTPHEADER => array(
                                    'Authorization: OAuth oauth_consumer_key="ffaf35c5356a1086018fabdcdad12c9a9868daae",oauth_token="7058f93354bd475e3dda7def2defa4b50034f0d4",oauth_signature_method="PLAINTEXT",oauth_timestamp="' . $timestamp . '",oauth_nonce="EMx6bZLTZLn",oauth_version="1.0",oauth_signature="ba57cddc777f7e31174914adcea5009ac7510366%264ad049a444ab381e29773e5f9d92b119728eac95"'
                                ),
                            ));
                            $response = curl_exec($curl);
                            // print_r($response);

                            if(json_decode($response)->status == "success"){
                                $id = json_decode($response)->response->doc_id;
                                echo "<br>[SUCCESS] Avoir : (id:".$id.')';
                                rename($filepath, $import_dir.'/SuccessDelta/Avoir_'.$DocumentNumber.'.csv');
                                curl_close($curl);
                                $dataValidation = array(
                                    "method" => "Document.validate",
                                    "params" => array(
                                        "docid" => $id,
                                        "date" => $timestampdisplayedDate
                                        )
                                    );
                                $data_validation = json_encode($dataValidation);
                                // print_r($data_Validation);
                                $curlValidate = curl_init();
                                $timestampValidate = time();
                                curl_setopt_array($curlValidate, array(
                                    CURLOPT_URL => 'https://apifeed.sellsy.com/0/',
                                    CURLOPT_RETURNTRANSFER => true,
                                    CURLOPT_ENCODING => '',
                                    CURLOPT_MAXREDIRS => 999999,
                                    CURLOPT_TIMEOUT => 0,
                                    CURLOPT_FOLLOWLOCATION => true,
                                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                    CURLOPT_CUSTOMREQUEST => 'POST',
                                    CURLOPT_POSTFIELDS => array(
                                        'request' => '1',
                                        'io_mode' => 'json',
                                        'do_in' => $data_validation,
                                    ),
                                    CURLOPT_HTTPHEADER => array(
                                        'Authorization: OAuth oauth_consumer_key="ffaf35c5356a1086018fabdcdad12c9a9868daae",oauth_token="7058f93354bd475e3dda7def2defa4b50034f0d4",oauth_signature_method="PLAINTEXT",oauth_timestamp="' . $timestampValidate . '",oauth_nonce="EMx6bZLTZLn",oauth_version="1.0",oauth_signature="ba57cddc777f7e31174914adcea5009ac7510366%264ad049a444ab381e29773e5f9d92b119728eac95"'
                                    ),
                                ));
                                $responseValidation = curl_exec($curlValidate);
                                curl_close($curlValidate);
                                // print_r($responseValidation);
                            }else{
                                print_r(json_decode($response));
                                rename($filepath, $import_dir.'/Errors/Avoir_'.$DocumentNumber.'.csv');
                                curl_close($curl);
                            }
                            sleep(4);

                        }else{

                            $getCustomerCountqueries = new Queries();
                            $getCustomerCount = $getCustomerCountqueries->getDocumentCustomerCount($CustomerName);
                        
                            
                            echo "<br>[ERROR] Customer not found : (DocumentNumber:".$DocumentNumber.")- Client :".$CustomerName."=======> count : ".$getCustomerCount." ===> : SELECT idsellsy FROM customers WHERE name='$CustomerName' and adr ='$Address1' and zip ='$ZipCode' and city ='$City' limit 1";
                            rename($filepath, $import_dir.'/NotFound/Avoir_'.$DocumentNumber.'.csv');
                        }


                        // if($item['name'] == $CustomerName){
                            //select idsellsy from custoemrs where name=$customername and mail=$customermail
                            
                        // }
                    // }

                      
                    fclose($file);
                }    
        }
    }


    public function exportAllStatus(){
        print '------------------<br>Export All Invoices Status :<br>';

        include_once($_ENV["EDICONNECT_EBP"]."Models/InvoicesModel.php");
        include_once($_ENV["EDICONNECT_EBP"]."Functions/Logs.php");

        $logs = new Logs();
        $InvoiceModel = new InvoiceModel();
        
        $offset = 0;
        $invoices = [];

        $errors = 0;
        $index = 1;

        $is_export_done = false;
        try {
            do {
                $url = $this->APIAuth->getApiPathAllInvoicesStatExport($offset);
                $curl = curl_init();
                curl_setopt_array($curl, array(
                    CURLOPT_URL => $url,
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 0,
                    CURLOPT_FOLLOWLOCATION => true,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "GET",
                    CURLOPT_HTTPHEADER => array(
                        "ebp-subscription-key: $this->ebp_subscription_key",
                        "Authorization: Bearer $this->access_token"
                    ),
                ));
                $resp = json_decode(curl_exec($curl),true);
                $http_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
                $info = curl_getinfo($curl);
                curl_close($curl);
                if ($http_code == "200") {
                    $invoices = array_merge($invoices, $resp["results"]);
                    $invoices = $resp["results"];
    
                    $index += count($invoices);
    
    
                    if(count($invoices) > 0){ 
                        $filteredInvoices = array();
                        foreach ($invoices as $invoice) {
                            $IdEBP = $invoice["Id"];
                            $DocumentNumber = $invoice["DocumentNumber"];
                            $ValidationState = $invoice["ValidationState"];
                            $DocumentState = $invoice["DocumentState"];
                            $SettlementModeId = $invoice["SettlementModeId"];
                            $DocumentDate = $invoice["DocumentDate"];
                            
                            $TranscoInvoices = new Queries();
                            $UpdateTranscoInvoices = $TranscoInvoices->UpdateTranscoInvoices($IdEBP,$DocumentNumber,$ValidationState,$DocumentState,$SettlementModeId,$DocumentDate);
                            echo $UpdateTranscoInvoices;
                        }
                    }else{ 
                        echo "<br>No invoices to export<br>";
                    }
                    $offset += 500;

                    if ($resp["paging"]["total"] == 0) {
                        $is_export_done = true;
                    }
                }else{ 
                    $errors++;
                    $tokens = $this->APIAuth->getAccessTokenFromRefreshToken($this->refresh_token);
                    $this->access_token = $tokens["access_token"];
                    $this->refresh_token = $tokens["refresh_token"];
                    echo "Error : ".$http_code." <br> Please check your access TOKEN KEY's to the API.";
                    $target_path = $_ENV["EDICONNECT_EBP"]."Logs/Invoices/Exports/Errors/ERROR_INVOICES_$date.txt";
                    $file = fopen($target_path, "a");
                    $logs->addLog($file, "EXPORT FACTURE", "Erreur avec la requete cURL lors de l'export de factures (Erreur $http_code) \n" . json_encode($info), "ERROR");
                }
            } while ($is_export_done == false);
    
            echo "INDEX : ".$index;
        } catch (\Throwable $th) {
            echo '<pre>';
            var_dump($th);
            echo '</pre>';
            echo "INDEX : ".$index;
        }
    }
    
    

    public function updateInvoicesStatus()
    {
        $queries = new Queries();
        $invoices = $queries->getInvoices();
        if ($invoices) {
            foreach ($invoices as $invoice) {
                $documentNumber = $invoice['DocumentNumber'];
                if($invoice['ValidationState'] === "1"){
                    $validationState = "due";
                }
                if($invoice['ValidationState'] === "3"){
                    $validationState = "paid";
                }
                $data = array(
                    "method" => "Document.getList",
                    "params" => array(
                        "doctype" => "invoice",
                        "search" => array(
                            "ident" => "$documentNumber"
                        )
                    )
                );
                $json = json_encode($data);
                $timestamp = time();
                $curl = curl_init();
                curl_setopt_array($curl, array(
                    CURLOPT_URL => 'https://apifeed.sellsy.com/0/',
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => '',
                    CURLOPT_MAXREDIRS => 999999,
                    CURLOPT_TIMEOUT => 0,
                    CURLOPT_CONNECTTIMEOUT => 1, // Set the connect timeout to 1 second
                    CURLOPT_FOLLOWLOCATION => true,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => 'POST',
                    CURLOPT_POSTFIELDS => array(
                        'request' => '1',
                        'io_mode' => 'json',
                        'do_in' => $json,
                    ),
                    CURLOPT_HTTPHEADER => array(
                        'Authorization: OAuth oauth_consumer_key="ffaf35c5356a1086018fabdcdad12c9a9868daae",oauth_token="7058f93354bd475e3dda7def2defa4b50034f0d4",oauth_signature_method="PLAINTEXT",oauth_timestamp="' . $timestamp . '",oauth_nonce="EMx6bZLTZLn",oauth_version="1.0",oauth_signature="ba57cddc777f7e31174914adcea5009ac7510366%264ad049a444ab381e29773e5f9d92b119728eac95"'
                    ),
                ));
                $response = curl_exec($curl);
                $result  = json_decode($response, true);
                
                if ($result ['status'] === 'success') {
                    $firstItem = reset($result ['response']['result']);

                    if ($firstItem !== false) {

                        $id = $firstItem['id'];
                        if($firstItem['ident'] == $documentNumber){
                            $UpdateData = array(
                                "method" => "Document.updateStep",
                                "params" => array(
                                    "docid" => "$id",
                                    "document" => array(
                                        "doctype" => "invoice",
                                        "step" => "$validationState"
                                    )
                                )
                            );
                            $jsonUpdateData = json_encode($UpdateData);
                            $timestampUpdateData = time();
                            $curlUpdateData = curl_init();
                            curl_setopt_array($curlUpdateData, array(
                                CURLOPT_URL => 'https://apifeed.sellsy.com/0/',
                                CURLOPT_RETURNTRANSFER => true,
                                CURLOPT_ENCODING => '',
                                CURLOPT_MAXREDIRS => 999999,
                                CURLOPT_TIMEOUT => 0,
                                CURLOPT_CONNECTTIMEOUT => 1, // Set the connect timeout to 1 second
                                CURLOPT_FOLLOWLOCATION => true,
                                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                CURLOPT_CUSTOMREQUEST => 'POST',
                                CURLOPT_POSTFIELDS => array(
                                    'request' => '1',
                                    'io_mode' => 'json',
                                    'do_in' => $jsonUpdateData,
                                ),
                                CURLOPT_HTTPHEADER => array(
                                    'Authorization: OAuth oauth_consumer_key="ffaf35c5356a1086018fabdcdad12c9a9868daae",oauth_token="7058f93354bd475e3dda7def2defa4b50034f0d4",oauth_signature_method="PLAINTEXT",oauth_timestamp="' . $timestampUpdateData . '",oauth_nonce="EMx6bZLTZLn",oauth_version="1.0",oauth_signature="ba57cddc777f7e31174914adcea5009ac7510366%264ad049a444ab381e29773e5f9d92b119728eac95"'
                                ),
                            ));
                            $responseUpdateData = curl_exec($curlUpdateData);
                            $resultUpdateData  = json_decode($responseUpdateData, true);
                            if ($resultUpdateData['status'] === 'success') {
                                $queries = new Queries();
                                $updateInvoicesData = $queries->updateInvoicesData($documentNumber,$id,$validationState);
                                echo $updateInvoicesData;
                            } else {
                                echo "[ERROR] Status not updated to ".$validationState." for : ".$documentNumber."<br>";
                            }
                            curl_close($curlUpdateData);
                        }
                    } else {
                        echo "[WARNING] Cant fount the invoice : ".$documentNumber."<br>";
                    }
                } else {
                    echo "[WARNING] Cnvoice : ".$documentNumber." Already updated<br>";
                }
                curl_close($curl);
            }
        }
    }



}
?>