<?php
class OrderModel
{
    public function Export($data){
                
        $Orders = $data['results'];
        $counter=0;
            foreach ($Orders as $EachOrder){
                $OrderArray = Array();
                $file = fopen('Exports/Orders/Order_'.$EachOrder["DocumentNumber"].'_'.date('mdY_His').'.csv', 'w+');
                $counter+=1;

                $ORDER_entete_1 = Array
                (
                    'ORD-AAA' => 'ORD-AAA',
                    'V2' => 'V2',
                    '0' => '0',
                    'INDEX' => '',
                    'DATE' => date("dmY"),
                    '1' => '1',
                );

                $ORDER_entete_2 = Array
                (
                    'ORD-HD1' => 'ORD-HD1',
                    'V2' => 'V2',
                    'INDEX' => 0,
                    'DocumentNumber' => $EachOrder["DocumentNumber"],
                    '380' => '380',
                    'DocumentDate' => $EachOrder["DocumentDate"],
                    'DeliveryDate' => $EachOrder["DeliveryDate"],
                    'DeliveryAddress_Address1' => $EachOrder["DeliveryAddress_Address1"],
                    'DeliveryAddress_Address2' => $EachOrder["DeliveryAddress_Address2"],
                    'DeliveryAddress_Address3' => $EachOrder["DeliveryAddress_Address3"],
                    'DeliveryAddress_ZipCode' => $EachOrder["DeliveryAddress_ZipCode"],
                    'DeliveryAddress_City' => $EachOrder["DeliveryAddress_City"],
                    'Id' => $EachOrder["Id"],
                    'AmountVatExcluded' => $EachOrder["AmountVatExcluded"],
                    'AmountVatIncluded' => $EachOrder["AmountVatIncluded"],
                    'NotesClear' => $EachOrder["NotesClear"],
                    'Reference' => $EachOrder["Reference"]
                );

                $ORDER_entete_3 = Array
                (
                    'ORD-HD2' => 'ORD-HD2',
                    'CustomerName' => $EachOrder["CustomerName"],
                    'DeliveryAddress_WebSite' => $EachOrder["DeliveryAddress_WebSite"],
                    'InvoicingAddress_Address1' => $EachOrder["InvoicingAddress_Address1"],
                    'InvoicingAddress_Address2' => $EachOrder["InvoicingAddress_Address2"],
                    'InvoicingAddress_Address3' => $EachOrder["InvoicingAddress_Address3"],
                    'InvoicingAddress_ZipCode' => $EachOrder["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' => $EachOrder["InvoicingAddress_City"]
                );
        
                //ORDER en-tete 4
                $ORDER_entete_4 = Array
                (
                    'ORD-HD3' => 'ORD-HD3',
                    'DeliveryContact_Name' => $EachOrder["DeliveryContact_Name"],
                    'DeliveryContact_FirstName' => $EachOrder["DeliveryContact_FirstName"],
                    'DeliveryContact_Phone' => $EachOrder["DeliveryContact_Phone"],
                    'DeliveryContact_CellPhone' => $EachOrder["DeliveryContact_CellPhone"],
                    'DeliveryContact_Fax' => $EachOrder["DeliveryContact_Fax"],
                    'DeliveryContact_Email' => $EachOrder["DeliveryContact_Email"]
                );
                // Ecriture des en-tete dans le CSV
                $OrderArray[$counter] = array_merge($ORDER_entete_1);
                $OrderArray[$counter+1] = array_merge($ORDER_entete_2);
                $OrderArray[$counter+2] = array_merge($ORDER_entete_3);
                $OrderArray[$counter+3] = array_merge($ORDER_entete_4);
                $nb_lignes=1;
        
                foreach($EachOrder["Lines"] as $line)
                {
                    $line['DescriptionClear'] = str_replace("\n","",$line['DescriptionClear']);
                    $ORDER_lines = Array
                    (
                        'ORD-LIN' => 'ORD-LIN',
                        'INDEX' => $nb_lignes,
                        'BarCode' => '',
                        'EAN' => 'EAN',
                        'ItemId' => $line['ItemId'],
                        'DescriptionClear' => $line['DescriptionClear'],
                        'Id' => $line['Id'],
                        'NetAmountVatExcluded' => $line['NetAmountVatExcludedWithDiscount'],
                        'NetAmountVatIncluded' => $line['NetAmountVatIncludedWithDiscount'],
                        'LineOrder' => $line['LineOrder'],
                        'Quantity' => $line['Quantity'],
                        'OrderedQuantity' => $line['OrderedQuantity'],
                        //'UnitId' => $line['']
                        'DeliveredQuantity' => $line['DeliveredQuantity'],
                        //'LineType' => $line[''],
                        'PurchasePrice' => $line['PurchasePrice'],
                        'CostPrice' => $line['CostPrice'],
                        'VatAmount' => $line['VatAmount'],
                    );
        
                    // Ecriture des lignes de ORDER
                    $OrderArray[$counter+4] = array_merge($ORDER_lines);

                    $counter++;
                    $nb_lignes++;
                }
        
                // ORDER TVA details
                $ORDER_TAX = Array
                (
                    'ORD-TAX' => 'ORD-TAX',
                    'TaxValue' => '', //$EachOrder["Id"]
                    'VatAmount' => $EachOrder["VatAmount"],
                    'DetailVatAmount0_EcotaxAmountVatExcluded' => $EachOrder["DetailVatAmount0_EcotaxAmountVatExcluded"],
                    'DetailVatAmount0_EcotaxVatAmount' => $EachOrder["DetailVatAmount0_EcotaxVatAmount"],
                    'TVA_tx_0' => $EachOrder["DetailVatAmount0_DetailVatRate"],
                    'TVA_base_ht_0' => $EachOrder["DetailVatAmount0_DetailAmountVatExcluded"],
                    'TVA_montant_tva_0' => $EachOrder["DetailVatAmount0_DetailVatAmount"],
                    'TVA_tx_1' => $EachOrder["DetailVatAmount1_DetailVatRate"],
                    'TVA_base_ht_1' => $EachOrder["DetailVatAmount1_DetailAmountVatExcluded"],
                    'TVA_montant_tva_1' => $EachOrder["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_2' => $EachOrder["DetailVatAmount2_DetailVatRate"],
                    'TVA_base_ht_2' => $EachOrder["DetailVatAmount2_DetailAmountVatExcluded"],
                    'TVA_montant_tva_2' => $EachOrder["DetailVatAmount2_DetailVatAmount"],
                    'TVA_tx_3' => $EachOrder["DetailVatAmount3_DetailVatRate"],
                    'TVA_base_ht_3' => $EachOrder["DetailVatAmount3_DetailAmountVatExcluded"],
                    'TVA_montant_tva_3' => $EachOrder["DetailVatAmount3_DetailVatAmount"],
                    'TVA_tx_4' => $EachOrder["DetailVatAmount4_DetailVatRate"],
                    'TVA_base_ht_4' => $EachOrder["DetailVatAmount4_DetailAmountVatExcluded"],
                    'TVA_montant_tva_4' => $EachOrder["DetailVatAmount4_DetailVatAmount"],
                    'TVA_tx_5' => $EachOrder["DetailVatAmount5_DetailVatRate"],
                    'TVA_base_ht_5' => $EachOrder["DetailVatAmount5_DetailAmountVatExcluded"],
                    'TVA_montant_tva_5' =>$EachOrder["DetailVatAmount5_DetailVatAmount"]
                );
        
                // ORDER END
                $ORDER_END = Array
                (
                    'ORD-END' => 'ORD-END',
                    'DocumentNumber' => $EachOrder["DocumentNumber"],
                    'Amount_HT' => $EachOrder["DetailVatAmount0_DetailAmountVatExcluded"],
                    'Amount_TTC' => $EachOrder["DetailVatAmount0_DetailAmountVatIncluded"],
                    'CostPrice' =>$EachOrder["CostPrice"],
                    'AmountVatExcludedWithDiscountAndShipping' => $EachOrder["AmountVatExcludedWithDiscountAndShipping"],
                    'ShippingAmountVatExcluded' => $EachOrder["ShippingAmountVatExcluded"],
                    'InvoicingAddress_Address1' => $EachOrder["InvoicingAddress_Address1"],
                    'InvoicingAddress_ZipCode' => $EachOrder["InvoicingAddress_ZipCode"],
                    'InvoicingAddress_City' =>$EachOrder["InvoicingAddress_City"]
                );
                $OrderArray[$counter+4] = array_merge($ORDER_TAX);
                $OrderArray[$counter+5] = array_merge($ORDER_END);
                foreach($OrderArray as $Ordergroup)
                {fputcsv($file, $Ordergroup, ";");}
                fclose($file);
                print '[SUCCESS] Export Order : '.$EachOrder["DocumentNumber"].'<br>';

            }
        }
}
?>
